---
# Cop supports --autocorrect.
Layout/ArgumentAlignment:
  # Offense count: 4159
  # Temporarily disabled due to too many offenses
  Enabled: false
  Exclude:
    - 'app/controllers/admin/cohorts_controller.rb'
    - 'app/controllers/admin/dev_ops_report_controller.rb'
    - 'app/controllers/admin/usage_trends_controller.rb'
    - 'app/controllers/admin/users_controller.rb'
    - 'app/controllers/application_controller.rb'
    - 'app/controllers/concerns/import/github_oauth.rb'
    - 'app/controllers/concerns/notes_actions.rb'
    - 'app/controllers/concerns/page_limiter.rb'
    - 'app/controllers/concerns/sends_blob.rb'
    - 'app/controllers/concerns/snippets_actions.rb'
    - 'app/controllers/concerns/wiki_actions.rb'
    - 'app/controllers/groups_controller.rb'
    - 'app/controllers/ide_controller.rb'
    - 'app/controllers/import/gitea_controller.rb'
    - 'app/controllers/import/github_controller.rb'
    - 'app/controllers/import/gitlab_groups_controller.rb'
    - 'app/controllers/oauth/authorizations_controller.rb'
    - 'app/controllers/passwords_controller.rb'
    - 'app/controllers/profiles_controller.rb'
    - 'app/controllers/projects/branches_controller.rb'
    - 'app/controllers/projects/cycle_analytics_controller.rb'
    - 'app/controllers/projects/graphs_controller.rb'
    - 'app/controllers/projects/jobs_controller.rb'
    - 'app/controllers/projects/merge_requests/creations_controller.rb'
    - 'app/controllers/projects/pages_domains_controller.rb'
    - 'app/controllers/projects/pipeline_schedules_controller.rb'
    - 'app/controllers/projects/pipelines_controller.rb'
    - 'app/controllers/projects/uploads_controller.rb'
    - 'app/controllers/projects/web_ide_terminals_controller.rb'
    - 'app/controllers/registrations_controller.rb'
    - 'app/controllers/repositories/git_http_controller.rb'
    - 'app/controllers/search_controller.rb'
    - 'app/controllers/sessions_controller.rb'
    - 'app/finders/context_commits_finder.rb'
    - 'app/finders/deployments_finder.rb'
    - 'app/finders/issues_finder.rb'
    - 'app/finders/projects/prometheus/alerts_finder.rb'
    - 'app/graphql/mutations/award_emojis/toggle.rb'
    - 'app/graphql/mutations/boards/destroy.rb'
    - 'app/graphql/mutations/boards/lists/base_update.rb'
    - 'app/graphql/mutations/boards/lists/destroy.rb'
    - 'app/graphql/mutations/boards/lists/update.rb'
    - 'app/graphql/mutations/ci/job_token_scope/add_project.rb'
    - 'app/graphql/mutations/ci/job_token_scope/remove_project.rb'
    - 'app/graphql/mutations/ci/pipeline/base.rb'
    - 'app/graphql/mutations/ci/project_ci_cd_settings_update.rb'
    - 'app/graphql/mutations/ci/runner/update.rb'
    - 'app/graphql/mutations/ci/runners_registration_token/reset.rb'
    - 'app/graphql/mutations/concerns/mutations/work_items/widgetable.rb'
    - 'app/graphql/mutations/customer_relations/contacts/update.rb'
    - 'app/graphql/mutations/customer_relations/organizations/update.rb'
    - 'app/graphql/mutations/dependency_proxy/group_settings/update.rb'
    - 'app/graphql/mutations/dependency_proxy/image_ttl_group_policy/update.rb'
    - 'app/graphql/mutations/design_management/move.rb'
    - 'app/graphql/mutations/discussions/toggle_resolve.rb'
    - 'app/graphql/mutations/issues/set_severity.rb'
    - 'app/graphql/mutations/metrics/dashboard/annotations/create.rb'
    - 'app/graphql/mutations/metrics/dashboard/annotations/delete.rb'
    - 'app/graphql/mutations/namespace/package_settings/update.rb'
    - 'app/graphql/mutations/notes/create/base.rb'
    - 'app/graphql/mutations/notes/create/diff_note.rb'
    - 'app/graphql/mutations/notes/create/image_diff_note.rb'
    - 'app/graphql/mutations/notes/create/note.rb'
    - 'app/graphql/mutations/notes/reposition_image_diff_note.rb'
    - 'app/graphql/mutations/packages/cleanup/policy/update.rb'
    - 'app/graphql/mutations/packages/destroy_files.rb'
    - 'app/graphql/mutations/pages/base.rb'
    - 'app/graphql/mutations/pages/mark_onboarding_complete.rb'
    - 'app/graphql/mutations/security/ci_configuration/base_security_analyzer.rb'
    - 'app/graphql/mutations/security/ci_configuration/configure_sast.rb'
    - 'app/graphql/mutations/terraform/state/base.rb'
    - 'app/graphql/mutations/user_callouts/create.rb'
    - 'app/graphql/resolvers/admin/analytics/usage_trends/measurements_resolver.rb'
    - 'app/graphql/resolvers/alert_management/alert_resolver.rb'
    - 'app/graphql/resolvers/alert_management/alert_status_counts_resolver.rb'
    - 'app/graphql/resolvers/ci/all_jobs_resolver.rb'
    - 'app/graphql/resolvers/ci/jobs_resolver.rb'
    - 'app/graphql/resolvers/ci/project_pipeline_counts_resolver.rb'
    - 'app/graphql/resolvers/ci/test_suite_resolver.rb'
    - 'app/graphql/resolvers/clusters/agents_resolver.rb'
    - 'app/graphql/resolvers/concerns/group_issuable_resolver.rb'
    - 'app/graphql/resolvers/concerns/issues/sort_arguments.rb'
    - 'app/graphql/resolvers/concerns/search_arguments.rb'
    - 'app/graphql/resolvers/container_repositories_resolver.rb'
    - 'app/graphql/resolvers/container_repository_tags_resolver.rb'
    - 'app/graphql/resolvers/environments_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_detailed_error_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_error_stack_trace_resolver.rb'
    - 'app/graphql/resolvers/error_tracking/sentry_errors_resolver.rb'
    - 'app/graphql/resolvers/group_members_resolver.rb'
    - 'app/graphql/resolvers/group_packages_resolver.rb'
    - 'app/graphql/resolvers/issues/base_parent_resolver.rb'
    - 'app/graphql/resolvers/issues/base_resolver.rb'
    - 'app/graphql/resolvers/issues_resolver.rb'
    - 'app/graphql/resolvers/members_resolver.rb'
    - 'app/graphql/resolvers/namespace_projects_resolver.rb'
    - 'app/graphql/resolvers/package_details_resolver.rb'
    - 'app/graphql/resolvers/packages_base_resolver.rb'
    - 'app/graphql/resolvers/paginated_tree_resolver.rb'
    - 'app/graphql/resolvers/project_jobs_resolver.rb'
    - 'app/graphql/resolvers/project_members_resolver.rb'
    - 'app/graphql/resolvers/projects/fork_targets_resolver.rb'
    - 'app/graphql/resolvers/projects/snippets_resolver.rb'
    - 'app/graphql/resolvers/release_resolver.rb'
    - 'app/graphql/resolvers/repository_branch_names_resolver.rb'
    - 'app/graphql/resolvers/snippets_resolver.rb'
    - 'app/graphql/resolvers/terraform/states_resolver.rb'
    - 'app/graphql/resolvers/tree_resolver.rb'
    - 'app/graphql/resolvers/users_resolver.rb'
    - 'app/graphql/subscriptions/issuable_updated.rb'
    - 'app/graphql/types/alert_management/domain_filter_enum.rb'
    - 'app/graphql/types/ci/group_variable_connection_type.rb'
    - 'app/graphql/types/ci/project_variable_connection_type.rb'
    - 'app/graphql/types/ci_configuration/sast/analyzers_entity_input_type.rb'
    - 'app/graphql/types/ci_configuration/sast/input_type.rb'
    - 'app/graphql/types/commit_signature_interface.rb'
    - 'app/graphql/types/commit_signatures/gpg_signature_type.rb'
    - 'app/graphql/types/commit_signatures/ssh_signature_type.rb'
    - 'app/graphql/types/commit_signatures/x509_signature_type.rb'
    - 'app/graphql/types/customer_relations/contact_sort_enum.rb'
    - 'app/graphql/types/customer_relations/organization_sort_enum.rb'
    - 'app/graphql/types/deployment_type.rb'
    - 'app/graphql/types/environment_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_frequency_type.rb'
    - 'app/graphql/types/error_tracking/sentry_error_tags_type.rb'
    - 'app/graphql/types/issues/negated_issue_filter_input_type.rb'
    - 'app/graphql/types/limited_countable_connection_type.rb'
    - 'app/graphql/types/merge_request_state_event_enum.rb'
    - 'app/graphql/types/namespace/package_settings_type.rb'
    - 'app/graphql/types/packages/package_base_type.rb'
    - 'app/graphql/types/permission_types/group_enum.rb'
    - 'app/graphql/types/project_type.rb'
    - 'app/graphql/types/release_asset_link_shared_input_arguments.rb'
    - 'app/graphql/types/saved_reply_type.rb'
    - 'app/graphql/types/upload_type.rb'
    - 'app/graphql/types/user_preferences_type.rb'
    - 'app/graphql/types/work_items/widget_interface.rb'
    - 'app/graphql/types/work_items/widgets/assignees_input_type.rb'
    - 'app/graphql/types/work_items/widgets/assignees_type.rb'
    - 'app/graphql/types/work_items/widgets/hierarchy_type.rb'
    - 'app/graphql/types/work_items/widgets/labels_type.rb'
    - 'app/graphql/types/work_items/widgets/start_and_due_date_type.rb'
    - 'app/graphql/types/x509_certificate_type.rb'
    - 'app/graphql/types/x509_issuer_type.rb'
    - 'app/helpers/blob_helper.rb'
    - 'app/helpers/button_helper.rb'
    - 'app/helpers/ci/status_helper.rb'
    - 'app/helpers/events_helper.rb'
    - 'app/helpers/markup_helper.rb'
    - 'app/helpers/members_helper.rb'
    - 'app/helpers/notes_helper.rb'
    - 'app/helpers/repository_languages_helper.rb'
    - 'app/helpers/snippets_helper.rb'
    - 'app/helpers/todos_helper.rb'
    - 'app/helpers/wiki_helper.rb'
    - 'app/models/alert_management/http_integration.rb'
    - 'app/models/alerting/project_alerting_setting.rb'
    - 'app/models/application_setting.rb'
    - 'app/models/aws/role.rb'
    - 'app/models/bulk_imports/configuration.rb'
    - 'app/models/bulk_imports/entity.rb'
    - 'app/models/bulk_imports/failure.rb'
    - 'app/models/bulk_imports/tracker.rb'
    - 'app/models/ci/build.rb'
    - 'app/models/ci/pipeline.rb'
    - 'app/models/ci/processable.rb'
    - 'app/models/ci/resource_group.rb'
    - 'app/models/ci/runner.rb'
    - 'app/models/ci/stage.rb'
    - 'app/models/ci_platform_metric.rb'
    - 'app/models/clusters/agent.rb'
    - 'app/models/clusters/applications/helm.rb'
    - 'app/models/clusters/applications/prometheus.rb'
    - 'app/models/clusters/integrations/prometheus.rb'
    - 'app/models/clusters/kubernetes_namespace.rb'
    - 'app/models/clusters/platforms/kubernetes.rb'
    - 'app/models/clusters/providers/aws.rb'
    - 'app/models/clusters/providers/gcp.rb'
    - 'app/models/commit_status.rb'
    - 'app/models/compare.rb'
    - 'app/models/concerns/blocks_unsafe_serialization.rb'
    - 'app/models/concerns/bulk_insert_safe.rb'
    - 'app/models/concerns/ci/has_variable.rb'
    - 'app/models/concerns/ci/new_has_variable.rb'
    - 'app/models/concerns/ci/partitionable.rb'
    - 'app/models/concerns/each_batch.rb'
    - 'app/models/concerns/integrations/slack_mattermost_notifier.rb'
    - 'app/models/concerns/issuable.rb'
    - 'app/models/concerns/merge_request_reviewer_state.rb'
    - 'app/models/concerns/nullify_if_blank.rb'
    - 'app/models/concerns/packages/debian/architecture.rb'
    - 'app/models/concerns/packages/debian/component.rb'
    - 'app/models/concerns/packages/debian/distribution.rb'
    - 'app/models/concerns/packages/debian/distribution_key.rb'
    - 'app/models/concerns/repository_storage_movable.rb'
    - 'app/models/concerns/storage/legacy_namespace.rb'
    - 'app/models/concerns/taskable.rb'
    - 'app/models/concerns/with_uploads.rb'
    - 'app/models/custom_emoji.rb'
    - 'app/models/deploy_token.rb'
    - 'app/models/deployment.rb'
    - 'app/models/design_management/design_action.rb'
    - 'app/models/error_tracking/error.rb'
    - 'app/models/error_tracking/project_error_tracking_setting.rb'
    - 'app/models/event.rb'
    - 'app/models/gpg_key.rb'
    - 'app/models/gpg_key_subkey.rb'
    - 'app/models/grafana_integration.rb'
    - 'app/models/group.rb'
    - 'app/models/hooks/web_hook.rb'
    - 'app/models/incident_management/project_incident_management_setting.rb'
    - 'app/models/incident_management/timeline_event.rb'
    - 'app/models/incident_management/timeline_event_tag.rb'
    - 'app/models/integrations/asana.rb'
    - 'app/models/integrations/assembla.rb'
    - 'app/models/integrations/bamboo.rb'
    - 'app/models/integrations/buildkite.rb'
    - 'app/models/integrations/campfire.rb'
    - 'app/models/integrations/confluence.rb'
    - 'app/models/integrations/datadog.rb'
    - 'app/models/integrations/discord.rb'
    - 'app/models/integrations/drone_ci.rb'
    - 'app/models/integrations/emails_on_push.rb'
    - 'app/models/integrations/external_wiki.rb'
    - 'app/models/integrations/flowdock.rb'
    - 'app/models/integrations/harbor.rb'
    - 'app/models/integrations/irker.rb'
    - 'app/models/integrations/jenkins.rb'
    - 'app/models/integrations/mock_ci.rb'
    - 'app/models/integrations/packagist.rb'
    - 'app/models/integrations/pipelines_email.rb'
    - 'app/models/integrations/pivotaltracker.rb'
    - 'app/models/integrations/prometheus.rb'
    - 'app/models/integrations/pushover.rb'
    - 'app/models/integrations/shimo.rb'
    - 'app/models/integrations/teamcity.rb'
    - 'app/models/integrations/zentao.rb'
    - 'app/models/issue.rb'
    - 'app/models/key.rb'
    - 'app/models/lfs_object.rb'
    - 'app/models/member.rb'
    - 'app/models/merge_request.rb'
    - 'app/models/merge_request_diff.rb'
    - 'app/models/merge_request_diff_commit.rb'
    - 'app/models/namespace.rb'
    - 'app/models/note.rb'
    - 'app/models/operations/feature_flag.rb'
    - 'app/models/operations/feature_flags/strategy.rb'
    - 'app/models/operations/feature_flags/user_list.rb'
    - 'app/models/packages/conan/file_metadatum.rb'
    - 'app/models/packages/debian/file_metadatum.rb'
    - 'app/models/packages/debian/publication.rb'
    - 'app/models/packages/dependency_link.rb'
    - 'app/models/packages/helm/file_metadatum.rb'
    - 'app/models/packages/maven/metadatum.rb'
    - 'app/models/packages/package.rb'
    - 'app/models/pages_domain.rb'
    - 'app/models/project.rb'
    - 'app/models/project_ci_cd_setting.rb'
    - 'app/models/project_feature.rb'
    - 'app/models/project_metrics_setting.rb'
    - 'app/models/projects/import_export/relation_export.rb'
    - 'app/models/projects/import_export/relation_export_upload.rb'
    - 'app/models/redirect_route.rb'
    - 'app/models/route.rb'
    - 'app/models/serverless/domain_cluster.rb'
    - 'app/models/snippet.rb'
    - 'app/models/terraform/state.rb'
    - 'app/models/user.rb'
    - 'app/models/users/callout.rb'
    - 'app/models/users/saved_reply.rb'
    - 'app/presenters/ci/pipeline_presenter.rb'
    - 'app/presenters/gitlab/blame_presenter.rb'
    - 'app/presenters/key_presenter.rb'
    - 'app/presenters/label_presenter.rb'
    - 'app/presenters/merge_request_presenter.rb'
    - 'app/presenters/project_presenter.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/serializers/detailed_status_entity.rb'
    - 'app/serializers/diffs_entity.rb'
    - 'app/serializers/environment_entity.rb'
    - 'app/serializers/error_tracking/error_entity.rb'
    - 'app/serializers/stage_entity.rb'
    - 'app/serializers/test_suite_entity.rb'
    - 'app/serializers/test_suite_summary_entity.rb'
    - 'app/serializers/triggered_pipeline_entity.rb'
    - 'app/services/ci/archive_trace_service.rb'
    - 'app/services/ci/job_artifacts/create_service.rb'
    - 'app/services/ci/parse_dotenv_artifact_service.rb'
    - 'app/services/ci/register_job_service.rb'
    - 'app/services/ci/stuck_builds/drop_helpers.rb'
    - 'app/services/ci/update_build_state_service.rb'
    - 'app/services/concerns/exclusive_lease_guard.rb'
    - 'app/services/discussions/capture_diff_note_position_service.rb'
    - 'app/services/error_tracking/base_service.rb'
    - 'app/services/gravatar_service.rb'
    - 'app/services/issues/clone_service.rb'
    - 'app/services/jira/requests/base.rb'
    - 'app/services/members/creator_service.rb'
    - 'app/services/merge_requests/create_pipeline_service.rb'
    - 'app/services/merge_requests/merge_to_ref_service.rb'
    - 'app/services/metrics/dashboard/update_dashboard_service.rb'
    - 'app/services/notification_service.rb'
    - 'app/services/packages/conan/create_package_service.rb'
    - 'app/services/packages/create_temporary_package_service.rb'
    - 'app/services/packages/go/create_package_service.rb'
    - 'app/services/packages/maven/create_package_service.rb'
    - 'app/services/prometheus/proxy_variable_substitution_service.rb'
    - 'app/services/protected_branches/api_service.rb'
    - 'app/services/quick_actions/interpret_service.rb'
    - 'app/services/web_hook_service.rb'
    - 'app/services/webauthn/authenticate_service.rb'
    - 'app/uploaders/object_storage.rb'
    - 'app/workers/bulk_imports/entity_worker.rb'
    - 'app/workers/bulk_imports/export_request_worker.rb'
    - 'app/workers/bulk_imports/pipeline_worker.rb'
    - 'app/workers/run_pipeline_schedule_worker.rb'
    - 'config/application.rb'
    - 'config/initializers/sawyer_patch.rb'
    - 'config/initializers/zz_metrics.rb'
    - 'config/routes.rb'
    - 'config/routes/legacy_builds.rb'
    - 'config/routes/project.rb'
    - 'config/routes/repository_deprecated.rb'
    - 'config/routes/snippets.rb'
    - 'config/routes/uploads.rb'
    - 'config/routes/user.rb'
    - 'db/migrate/20210305002016_update_terraform_states_locked_by_user_id_foreign_key.rb'
    - 'db/migrate/20210308190413_change_batched_background_migrations_batch_class_name_default.rb'
    - 'db/migrate/20210324112439_add_index_mirror_data_on_retry_next_execution_where_status.rb'
    - 'db/migrate/20210329191850_add_finding_signature_table.rb'
    - 'db/migrate/20210413121101_add_created_at_web_hook_id_index_to_partitioned_web_hook_log.rb'
    - 'db/migrate/20210413123832_add_index_on_web_hook_id_to_partitioned_web_hook_log.rb'
    - 'db/migrate/20210505070612_create_packages_debian_group_distribution_keys.rb'
    - 'db/migrate/20210505070812_create_packages_debian_project_distribution_keys.rb'
    - 'db/migrate/20210601080039_group_protected_environments_add_index_and_constraint.rb'
    - 'db/migrate/20210609013512_add_unique_index_for_batched_background_migrations.rb'
    - 'db/migrate/20210625094554_create_error_tracking_error_events.rb'
    - 'db/migrate/20210720130006_create_error_tracking_client_keys.rb'
    - 'db/migrate/20210721174441_update_escalation_rule_fk_for_pending_alert_escalations.rb'
    - 'db/migrate/20210722074256_add_user_index_to_escalation_rules.rb'
    - 'db/migrate/20210723173132_create_index_on_environments_auto_delete_at.rb'
    - 'db/migrate/20210813111909_create_ci_build_trace_metadata.rb'
    - 'db/migrate/20210817084338_add_foreign_key_from_ci_build_metadata_to_ci_job_artifacts.rb'
    - 'db/migrate/20210820171834_add_foreign_keys_for_pending_issue_escalations.rb'
    - 'db/migrate/20210923042325_index_meta_data_on_user_credit_card_validations.rb'
    - 'db/migrate/20210928155022_improve_index_for_error_tracking.rb'
    - 'db/migrate/20211013080716_index_include_network_on_user_credit_card_validations.rb'
    - 'db/migrate/20211109101010_support_partition_query_in_loose_fk_table.rb'
    - 'db/migrate/20220119170426_remove_temporary_vulnerability_occurrences_deduplication_index.rb'
    - 'db/migrate/20220301003502_add_security_orchestration_policy_configuration_namespace_index.rb'
    - 'db/migrate/20220401071609_add_campaign_to_in_product_marketing_email.rb'
    - 'db/migrate/20220401110443_add_on_hold_until_column_for_batched_migration.rb'
    - 'db/migrate/20220404170446_add_index_for_non_requested_non_invited_awaiting_members.rb'
    - 'db/migrate/20220406113217_add_inactive_project_deletion_to_application_settings.rb'
    - 'db/migrate/20220408135815_update_index_on_greated_done_at_on_container_repositories.rb'
    - 'db/migrate/20220422220507_remove_tmp_index_supporting_leaky_regex_cleanup.rb'
    - 'db/migrate/20220505092254_add_allow_stale_runner_pruning_index_to_namespace_ci_cd_settings.rb'
    - 'db/migrate/20220512020500_index_batched_migrations_on_gitlab_schema_and_configuration.rb'
    - 'db/migrate/20220513093614_add_ding_talk_into_application_settings.rb'
    - 'db/migrate/20220516054002_temp_index_for_project_namespace_member_backfill.rb'
    - 'db/migrate/20220601223501_add_vulnerability_related_columns.rb'
    - 'db/migrate/20220608074738_add_max_repository_downloads_limit_to_application_settings.rb'
    - 'db/migrate/20220613054349_add_unique_project_download_limit_settings_to_namespace_settings.rb'
    - 'db/migrate/20220616182015_create_sbom_component_versions.rb'
    - 'db/migrate/20220616183240_add_sbom_component_versions_foreign_key_to_sbom_occurrences.rb'
    - 'db/migrate/20220627061008_add_fei_shu_integration.rb'
    - 'db/migrate/20220627122230_add_foreign_keys_to_user_namespace_callouts.rb'
    - 'db/migrate/20220627171538_add_error_tracking_settings.rb'
    - 'db/migrate/20220704034050_add_users_allowlist_to_git_rate_limits.rb'
    - 'db/migrate/20220708150315_add_vulnerabilities_foreign_key_to_vulnerability_merge_request_links.rb'
    - 'db/migrate/20220718083945_add_unique_project_download_limit_allowlist_to_namespace_settings.rb'
    - 'db/migrate/20220726025516_add_namespace_settings_unique_project_download_limit_allowlist_size_constraint.rb'
    - 'db/migrate/20220726154015_add_component_foreign_key_to_sbom_occurrences.rb'
    - 'db/migrate/20220726230052_remove_tmp_index_project_membership_namespace_id_column.rb'
    - 'db/migrate/20220803004853_add_auto_ban_user_to_namespace_settings.rb'
    - 'db/migrate/20220803235114_add_auto_ban_user_to_application_settings.rb'
    - 'db/migrate/20220805154101_add_allow_run_pipelines_in_the_parent_project_setting.rb'
    - 'db/migrate/20220907115806_add_security_orchestration_policy_configuration_id.rb'
    - 'db/migrate/20220915140802_create_merge_request_predictions.rb'
    - 'db/migrate/20220921201347_add_maven_package_requests_forwarding_to_namespace_package_settings.rb'
    - 'db/migrate/20220928201920_create_project_wiki_repository_states.rb'
    - 'db/migrate/20220929171925_add_pypi_package_requests_forwarding_to_namespace_package_settings.rb'
    - 'db/migrate/20220929172356_add_npm_package_requests_forwarding_to_namespace_package_settings.rb'
    - 'db/migrate/20221005094926_create_incident_management_timeline_event_tag_links.rb'
    - 'db/migrate/20221005103010_add_index_project_id_on_scan_finding_approval_project_rules.rb'
    - 'db/migrate/20221011162637_add_partial_index_project_incident_management_settings_on_project_id_and_sla_timer.rb'
    - 'db/migrate/20221018202524_create_dependency_proxy_blob_states.rb'
    - 'db/migrate/20221102150737_index_environments_for_name_search_within_folder.rb'
    - 'db/migrate/20221102195642_create_dependency_proxy_manifest_states.rb'
    - 'db/migrate/20221108185442_add_project_wiki_repository_id_to_project_wiki_repository_states.rb'
    - 'db/migrate/20221110150942_add_project_id_lower_name_index_remove_old_index.rb'
    - 'db/post_migrate/20210330130420_drop_finding_fingerprint_table.rb'
    - 'db/post_migrate/20210413130011_add_partitioned_web_hook_log_fk.rb'
    - 'db/post_migrate/20210415101228_backfill_ci_build_needs_for_bigint_conversion.rb'
    - 'db/post_migrate/20210422023046_backfill_ci_sources_pipelines_source_job_id_for_bigint_conversion.rb'
    - 'db/post_migrate/20210611080951_fix_missing_traversal_ids.rb'
    - 'db/post_migrate/20210622045705_finalize_events_bigint_conversion.rb'
    - 'db/post_migrate/20210701033622_finalize_ci_builds_needs_bigint_conversion.rb'
    - 'db/post_migrate/20210706212710_finalize_ci_job_artifacts_bigint_conversion.rb'
    - 'db/post_migrate/20210713042153_finalize_ci_sources_pipelines_bigint_conversion.rb'
    - 'db/post_migrate/20210804153307_prepare_indexes_for_tagging_bigint_conversion.rb'
    - 'db/post_migrate/20210809143931_finalize_job_id_conversion_to_bigint_for_ci_job_artifacts.rb'
    - 'db/post_migrate/20210817024335_prepare_indexes_for_events_bigint_conversion.rb'
    - 'db/post_migrate/20210901184511_prepare_async_indexes_for_ci_builds.rb'
    - 'db/post_migrate/20210915202900_prepare_index_resource_group_status_commit_id_for_ci_builds.rb'
    - 'db/post_migrate/20210922084115_concurrent_index_resource_group_status_commit_id_for_ci_builds.rb'
    - 'db/post_migrate/20211007093340_remove_analytics_snapshots_segment_id_column.rb'
    - 'db/post_migrate/20211011104843_add_new_loose_fk_index.rb'
    - 'db/post_migrate/20211031152417_add_indexes_to_issue_stage_events.rb'
    - 'db/post_migrate/20211031154919_add_indexes_to_merge_request_stage_events.rb'
    - 'db/post_migrate/20211109112454_drop_old_loose_fk_deleted_records_index.rb'
    - 'db/post_migrate/20220310134207_add_index_project_id_and_released_at_and_id_on_releases.rb'
    - 'db/post_migrate/20220315171027_add_tmp_index_to_support_leaky_regex_cleanup.rb'
    - 'db/post_migrate/20220322035654_add_migration_plan_index_to_container_repositories.rb'
    - 'db/post_migrate/20220323152202_add_index_on_visible_deployments.rb'
    - 'db/post_migrate/20220404183350_add_forbidden_state_index_to_users.rb'
    - 'db/post_migrate/20220412143551_add_partial_index_on_unencrypted_integrations.rb'
    - 'db/post_migrate/20220413011328_remove_partial_index_on_unencrypted_integrations.rb'
    - 'db/post_migrate/20220420214703_schedule_backfill_draft_status_on_merge_requests_corrected_regex.rb'
    - 'db/post_migrate/20220425121435_backfill_integrations_enable_ssl_verification.rb'
    - 'db/post_migrate/20220503134610_remove_requirements_management_test_reports_requirement_id.rb'
    - 'db/post_migrate/20220505174658_update_index_on_alerts_to_exclude_null_fingerprints.rb'
    - 'db/post_migrate/20220525172001_migrate_cluster_integration_worker_queues.rb'
    - 'db/post_migrate/20220530044712_add_index_for_vulnerability_reads_location_image.rb'
    - 'db/post_migrate/20220610223040_add_index_on_available_pypi_packages.rb'
    - 'db/post_migrate/20220621082245_remove_tmp_index_on_routes_namespace_id_column.rb'
    - 'db/post_migrate/20220622070547_add_temp_index_for_container_registry_size_migration.rb'
    - 'db/post_migrate/20220628110823_add_issues_namespace_id_fk_and_index.rb'
    - 'db/post_migrate/20220630050050_index_vulnerability_reads_on_casted_cluster_agent_id_full.rb'
    - 'db/post_migrate/20220630085003_drop_project_successfull_pages_deploy_index_from_ci_builds.rb'
    - 'db/post_migrate/20220704044408_remove_foreign_key_in_project_tracing_settings.rb'
    - 'db/post_migrate/20220706065245_remove_foreign_key_in_clusters_applications_elastic_stacks.rb'
    - 'db/post_migrate/20220706065611_remove_foreign_key_in_clusters_integration_elasticstack.rb'
    - 'db/post_migrate/20220707192420_remove_tmp_idx_merge_requests_draft_and_status.rb'
    - 'db/post_migrate/20220715054506_add_parent_link_unique_work_item_index.rb'
    - 'db/post_migrate/20220721140252_prepare_partial_trigram_indexes_for_issues.rb'
    - 'db/post_migrate/20220726225114_remove_tmp_index_group_membership_namespace_id_column.rb'
    - 'db/post_migrate/20220801144713_add_partial_trigram_index_for_issue_title.rb'
    - 'db/post_migrate/20220801150028_add_partial_trigram_index_for_issue_description.rb'
    - 'db/post_migrate/20220803042351_add_tmp_index_todos_attention_request_action.rb'
    - 'db/post_migrate/20220810093742_add_async_tmp_index_job_artifacts_id_and_expire_at.rb'
    - 'db/post_migrate/20220824114218_add_tmp_index_approval_merge_request_rules.rb'
    - 'db/post_migrate/20220825061250_drop_tmp_index_todos_attention_request_action_idx.rb'
    - 'db/post_migrate/20220901071310_add_tmp_index_user_callouts_on_attention_request_feature_names.rb'
    - 'db/post_migrate/20220901073300_remove_partial_trigram_indexes_for_issues.rb'
    - 'db/post_migrate/20220905090300_add_tmp_index_merge_request_reviewers_attention_request_state.rb'
    - 'db/post_migrate/20220913030552_add_tmp_index_system_note_metadata_on_attention_request_actions.rb'
    - 'db/post_migrate/20220915192521_prepare_async_trigram_index_for_vulnerability_reads_container_images.rb'
    - 'db/post_migrate/20220916112841_remove_unused_aggregation_columns.rb'
    - 'db/post_migrate/20220919023208_drop_unused_fields_from_merge_request_assignees.rb'
    - 'db/post_migrate/20220919041604_drop_unused_fields_from_merge_request_reviewers.rb'
    - 'db/post_migrate/20220919050555_drop_tmp_index_user_callouts_on_attention_request_feature_names.rb'
    - 'db/post_migrate/20220923052531_remove_tmp_index_merge_request_reviewers_on_attention_requested_state.rb'
    - 'db/post_migrate/20220923060226_remove_tmp_index_system_note_metadata_on_attention_request_actions.rb'
    - 'db/post_migrate/20220929081645_tmp_idx_null_member_namespace_id.rb'
    - 'db/post_migrate/20220929091500_add_tmp_index_vulns_on_report_type.rb'
    - 'db/post_migrate/20221004092038_tmp_index_members_on_id_where_namespace_id_null.rb'
    - 'db/post_migrate/20221005103000_add_index_merge_request_id_on_scan_finding_approval_merge_request_rules.rb'
    - 'db/post_migrate/20221006083240_prepare_partial_trigram_indexes_for_issues_attempt_2.rb'
    - 'db/post_migrate/20221019102426_remove_tmp_index_approval_merge_request_rules_on_report_type.rb'
    - 'db/post_migrate/20221024034228_remove_sprints_project_id_column.rb'
    - 'db/post_migrate/20221025220607_add_index_id_on_scan_finding_approval_merge_request_rules.rb'
    - 'db/post_migrate/20221028000603_prepare_partial_trigram_indexes_for_issues_attempt_3.rb'
    - 'db/post_migrate/20221104042137_add_partial_trigram_index_for_issue_title_attempt_2.rb'
    - 'db/post_migrate/20221104042159_add_partial_trigram_index_for_issue_description_attempt_2.rb'
    - 'db/post_migrate/20221104074652_add_temp_index_for_project_statistics_upload_size_migration.rb'
    - 'db/post_migrate/20221104100203_recreate_async_trigram_index_for_vulnerability_reads_container_images.rb'
    - 'db/post_migrate/20221115120602_add_index_for_issues_health_status_ordering.rb'
    - 'db/post_migrate/20221117153015_add_index_merge_request_id_created_at_on_scan_finding_approval_merge_request_rules.rb'
    - 'ee/app/controllers/concerns/insights_actions.rb'
    - 'ee/app/controllers/customers_dot/proxy_controller.rb'
    - 'ee/app/controllers/ee/admin/dev_ops_report_controller.rb'
    - 'ee/app/controllers/ee/groups_controller.rb'
    - 'ee/app/controllers/ee/passwords_controller.rb'
    - 'ee/app/controllers/groups/analytics/devops_adoption_controller.rb'
    - 'ee/app/controllers/groups/analytics/productivity_analytics_controller.rb'
    - 'ee/app/controllers/groups/contribution_analytics_controller.rb'
    - 'ee/app/controllers/groups/insights_controller.rb'
    - 'ee/app/controllers/groups/issues_analytics_controller.rb'
    - 'ee/app/controllers/groups/two_factor_auths_controller.rb'
    - 'ee/app/controllers/projects/analytics/code_reviews_controller.rb'
    - 'ee/app/controllers/projects/analytics/issues_analytics_controller.rb'
    - 'ee/app/controllers/projects/analytics/merge_request_analytics_controller.rb'
    - 'ee/app/controllers/projects/insights_controller.rb'
    - 'ee/app/controllers/projects/integrations/jira/issues_controller.rb'
    - 'ee/app/controllers/subscriptions_controller.rb'
    - 'ee/app/finders/geo/registry_finder.rb'
    - 'ee/app/graphql/ee/mutations/boards/issues/issue_move_list.rb'
    - 'ee/app/graphql/ee/mutations/ci/project_ci_cd_settings_update.rb'
    - 'ee/app/graphql/ee/resolvers/clusters/agents_resolver.rb'
    - 'ee/app/graphql/ee/resolvers/issues/base_resolver.rb'
    - 'ee/app/graphql/ee/types/board_list_type.rb'
    - 'ee/app/graphql/ee/types/board_type.rb'
    - 'ee/app/graphql/ee/types/boards/board_issue_input_type.rb'
    - 'ee/app/graphql/ee/types/ci/pipeline_type.rb'
    - 'ee/app/graphql/ee/types/ci/runner_type.rb'
    - 'ee/app/graphql/ee/types/deprecated_mutations.rb'
    - 'ee/app/graphql/ee/types/group_type.rb'
    - 'ee/app/graphql/ee/types/issue_type.rb'
    - 'ee/app/graphql/ee/types/merge_request_type.rb'
    - 'ee/app/graphql/ee/types/query_type.rb'
    - 'ee/app/graphql/ee/types/repository/blob_type.rb'
    - 'ee/app/graphql/mutations/app_sec/fuzzing/api/ci_configuration/create.rb'
    - 'ee/app/graphql/mutations/app_sec/fuzzing/coverage/corpus/create.rb'
    - 'ee/app/graphql/mutations/boards/epic_boards/epic_move_list.rb'
    - 'ee/app/graphql/mutations/boards/epic_lists/update.rb'
    - 'ee/app/graphql/mutations/ci/namespace_ci_cd_settings_update.rb'
    - 'ee/app/graphql/mutations/concerns/mutations/shared_epic_arguments.rb'
    - 'ee/app/graphql/mutations/dast/profiles/create.rb'
    - 'ee/app/graphql/mutations/dast_scanner_profiles/create.rb'
    - 'ee/app/graphql/mutations/epics/update.rb'
    - 'ee/app/graphql/mutations/incident_management/issuable_resource_link/create.rb'
    - 'ee/app/graphql/mutations/incident_management/issuable_resource_link/destroy.rb'
    - 'ee/app/graphql/mutations/iterations/cadences/create.rb'
    - 'ee/app/graphql/mutations/iterations/cadences/update.rb'
    - 'ee/app/graphql/mutations/iterations/delete.rb'
    - 'ee/app/graphql/mutations/projects/set_locked.rb'
    - 'ee/app/graphql/mutations/requirements_management/update_requirement.rb'
    - 'ee/app/graphql/mutations/security/finding/create_issue.rb'
    - 'ee/app/graphql/mutations/security/finding/dismiss.rb'
    - 'ee/app/graphql/mutations/users/abuse/namespace_bans/destroy.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/create.rb'
    - 'ee/app/graphql/mutations/vulnerabilities/finding/dismiss.rb'
    - 'ee/app/graphql/resolvers/boards/board_list_epics_resolver.rb'
    - 'ee/app/graphql/resolvers/boards/epic_list_resolver.rb'
    - 'ee/app/graphql/resolvers/ci/code_coverage_activities_resolver.rb'
    - 'ee/app/graphql/resolvers/concerns/common_requirement_arguments.rb'
    - 'ee/app/graphql/resolvers/gitlab_subscriptions/preview_billable_user_change_resolver.rb'
    - 'ee/app/graphql/resolvers/iterations/cadences_resolver.rb'
    - 'ee/app/graphql/resolvers/iterations_resolver.rb'
    - 'ee/app/graphql/resolvers/security_training_urls_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities_count_per_day_resolver.rb'
    - 'ee/app/graphql/resolvers/vulnerabilities_grade_resolver.rb'
    - 'ee/app/graphql/types/access_levels/group_type.rb'
    - 'ee/app/graphql/types/access_levels/user_type.rb'
    - 'ee/app/graphql/types/admin/cloud_licenses/current_license_type.rb'
    - 'ee/app/graphql/types/admin/cloud_licenses/license_type.rb'
    - 'ee/app/graphql/types/admin/cloud_licenses/subscription_future_entry_type.rb'
    - 'ee/app/graphql/types/alert_management/payload_alert_field_input_type.rb'
    - 'ee/app/graphql/types/analytics/contribution_analytics/contribution_metadata_type.rb'
    - 'ee/app/graphql/types/analytics/devops_adoption/enabled_namespace_type.rb'
    - 'ee/app/graphql/types/analytics/devops_adoption/snapshot_type.rb'
    - 'ee/app/graphql/types/app_sec/fuzzing/api/ci_configuration_type.rb'
    - 'ee/app/graphql/types/app_sec/fuzzing/api/scan_profile_type.rb'
    - 'ee/app/graphql/types/app_sec/fuzzing/coverage/corpus_type.rb'
    - 'ee/app/graphql/types/boards/epic_board_type.rb'
    - 'ee/app/graphql/types/boards/epic_list_type.rb'
    - 'ee/app/graphql/types/boards/epic_user_preferences_type.rb'
    - 'ee/app/graphql/types/burnup_chart_daily_totals_type.rb'
    - 'ee/app/graphql/types/ci/code_quality_degradation_type.rb'
    - 'ee/app/graphql/types/ci/namespace_ci_cd_setting_type.rb'
    - 'ee/app/graphql/types/compliance_management/merge_requests/compliance_violation_type.rb'
    - 'ee/app/graphql/types/dast/profile_cadence_input_type.rb'
    - 'ee/app/graphql/types/dast/profile_schedule_input_type.rb'
    - 'ee/app/graphql/types/dast/profile_schedule_type.rb'
    - 'ee/app/graphql/types/dast/profile_type.rb'
    - 'ee/app/graphql/types/dast_scanner_profile_type.rb'
    - 'ee/app/graphql/types/dast_site_profile_type.rb'
    - 'ee/app/graphql/types/dast_site_validation_type.rb'
    - 'ee/app/graphql/types/dora_type.rb'
    - 'ee/app/graphql/types/epic_issue_type.rb'
    - 'ee/app/graphql/types/epic_type.rb'
    - 'ee/app/graphql/types/external_issue_type.rb'
    - 'ee/app/graphql/types/geo/dependency_proxy_manifest_registry_type.rb'
    - 'ee/app/graphql/types/incident_management/escalation_rule_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_participant_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_active_period_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_date_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_rotation_length_input_type.rb'
    - 'ee/app/graphql/types/incident_management/oncall_user_input_type.rb'
    - 'ee/app/graphql/types/iteration_type.rb'
    - 'ee/app/graphql/types/iterations/cadence_type.rb'
    - 'ee/app/graphql/types/merge_requests/approval_state_type.rb'
    - 'ee/app/graphql/types/namespaces/namespace_ban_type.rb'
    - 'ee/app/graphql/types/push_rules_type.rb'
    - 'ee/app/graphql/types/requirements_management/requirement_type.rb'
    - 'ee/app/graphql/types/requirements_management/test_report_type.rb'
    - 'ee/app/graphql/types/security/training_type.rb'
    - 'ee/app/graphql/types/security_orchestration/security_policy_relation_type_enum.rb'
    - 'ee/app/graphql/types/time_report_stats_type.rb'
    - 'ee/app/graphql/types/timebox_report_interface.rb'
    - 'ee/app/graphql/types/timebox_report_type.rb'
    - 'ee/app/graphql/types/vulnerabilities/asset_type.rb'
    - 'ee/app/graphql/types/vulnerabilities/container_image_type.rb'
    - 'ee/app/graphql/types/vulnerability/external_issue_link_type.rb'
    - 'ee/app/graphql/types/vulnerability/issue_link_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/base_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/diff_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/file_location_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/markdown_type.rb'
    - 'ee/app/graphql/types/vulnerability_details/module_location_type.rb'
    - 'ee/app/graphql/types/vulnerability_identifier_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/container_scanning_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/coverage_fuzzing_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/dast_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/dependency_scanning_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/generic_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/sast_type.rb'
    - 'ee/app/graphql/types/vulnerability_location/secret_detection_type.rb'
    - 'ee/app/graphql/types/vulnerability_request_response_header_type.rb'
    - 'ee/app/graphql/types/vulnerability_request_type.rb'
    - 'ee/app/graphql/types/vulnerability_response_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_type.rb'
    - 'ee/app/graphql/types/vulnerability_scanner_vendor_input_type.rb'
    - 'ee/app/graphql/types/vulnerability_type.rb'
    - 'ee/app/graphql/types/vulnerable_dependency_type.rb'
    - 'ee/app/graphql/types/vulnerable_kubernetes_resource_type.rb'
    - 'ee/app/graphql/types/vulnerable_projects_by_grade_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/status_type.rb'
    - 'ee/app/graphql/types/work_items/widgets/weight_type.rb'
    - 'ee/app/helpers/ee/button_helper.rb'
    - 'ee/app/models/concerns/approval_rule_like.rb'
    - 'ee/app/models/concerns/security/scan_execution_policy.rb'
    - 'ee/app/models/concerns/security/scan_result_policy.rb'
    - 'ee/app/models/dast/site_profile_secret_variable.rb'
    - 'ee/app/models/ee/dependency_proxy/blob.rb'
    - 'ee/app/models/ee/dependency_proxy/manifest.rb'
    - 'ee/app/models/ee/epic.rb'
    - 'ee/app/models/ee/group.rb'
    - 'ee/app/models/ee/identity.rb'
    - 'ee/app/models/ee/incident_management/project_incident_management_setting.rb'
    - 'ee/app/models/ee/issue.rb'
    - 'ee/app/models/ee/list.rb'
    - 'ee/app/models/ee/namespace.rb'
    - 'ee/app/models/ee/namespace_setting.rb'
    - 'ee/app/models/ee/project.rb'
    - 'ee/app/models/ee/project_group_link.rb'
    - 'ee/app/models/geo/dependency_proxy_manifest_state.rb'
    - 'ee/app/models/geo/event_log.rb'
    - 'ee/app/models/geo/project_wiki_repository_state.rb'
    - 'ee/app/models/geo/repository_renamed_event.rb'
    - 'ee/app/models/integrations/github.rb'
    - 'ee/app/models/package_metadata/package_version_license.rb'
    - 'ee/app/models/project_alias.rb'
    - 'ee/app/models/slack_integration.rb'
    - 'ee/app/models/status_page/project_setting.rb'
    - 'ee/app/serializers/ee/evidences/release_entity.rb'
    - 'ee/app/serializers/vulnerability_entity.rb'
    - 'ee/app/services/ci/minutes/update_project_and_namespace_usage_service.rb'
    - 'ee/app/services/ee/merge_requests/create_pipeline_service.rb'
    - 'ee/app/services/geo/event_store.rb'
    - 'ee/app/services/geo/repository_base_sync_service.rb'
    - 'ee/app/services/geo/repository_sync_service.rb'
    - 'ee/app/services/geo/wiki_sync_service.rb'
    - 'ee/app/services/incident_management/issuable_resource_links/create_service.rb'
    - 'ee/app/services/incident_management/issuable_resource_links/destroy_service.rb'
    - 'ee/app/services/incident_management/issuable_resource_links/zoom_link_service.rb'
    - 'ee/app/services/timebox_report_service.rb'
    - 'ee/app/services/vulnerabilities/findings/find_or_create_from_security_finding_service.rb'
    - 'ee/app/workers/elastic/project_transfer_worker.rb'
    - 'ee/db/geo/migrate/20180405074130_add_partial_index_project_repository_verification.rb'
    - 'ee/db/geo/migrate/20221017195204_create_project_wiki_repository_registry.rb'
    - 'ee/db/geo/migrate/20221018201808_create_dependency_proxy_blob_registry.rb'
    - 'ee/db/geo/migrate/20221102195145_create_dependency_proxy_manifest_registry.rb'
    - 'ee/db/seeds/awesome_co/awesome_co.rb'
    - 'ee/lib/api/dora/metrics.rb'
    - 'ee/lib/api/epic_issues.rb'
    - 'ee/lib/api/geo_replication.rb'
    - 'ee/lib/api/iterations.rb'
    - 'ee/lib/api/managed_licenses.rb'
    - 'ee/lib/api/merge_trains.rb'
    - 'ee/lib/api/protected_environments.rb'
    - 'ee/lib/api/related_epic_links.rb'
    - 'ee/lib/api/vulnerability_exports.rb'
    - 'ee/lib/api/vulnerability_findings.rb'
    - 'ee/lib/audit/project_changes_auditor.rb'
    - 'ee/lib/audit/project_setting_changes_auditor.rb'
    - 'ee/lib/bulk_imports/groups/pipelines/iterations_pipeline.rb'
    - 'ee/lib/ee/api/entities/approval_settings.rb'
    - 'ee/lib/ee/api/entities/approval_state.rb'
    - 'ee/lib/ee/api/entities/epic.rb'
    - 'ee/lib/ee/api/entities/group.rb'
    - 'ee/lib/ee/api/entities/group_detail.rb'
    - 'ee/lib/ee/api/entities/merge_train.rb'
    - 'ee/lib/ee/api/helpers/groups_helpers.rb'
    - 'ee/lib/ee/api/helpers/issues_helpers.rb'
    - 'ee/lib/ee/api/helpers/merge_requests_helpers.rb'
    - 'ee/lib/ee/api/helpers/protected_branches_helpers.rb'
    - 'ee/lib/ee/api/merge_requests.rb'
    - 'ee/lib/ee/gitlab/background_migration/backfill_project_statistics_container_repository_size.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_latest_pipeline_ids.rb'
    - 'ee/lib/ee/gitlab/background_migration/populate_resolved_on_default_branch_column.rb'
    - 'ee/lib/ee/gitlab/ci/config/entry/job.rb'
    - 'ee/lib/ee/gitlab/ci/config/entry/need.rb'
    - 'ee/lib/ee/gitlab/event_store.rb'
    - 'ee/lib/ee/gitlab/quick_actions/issue_actions.rb'
    - 'ee/lib/ee/gitlab/web_ide/config/entry/global.rb'
    - 'ee/lib/elastic/latest/config.rb'
    - 'ee/lib/gitlab/analytics/cycle_analytics/summary/group/stage_summary.rb'
    - 'ee/lib/gitlab/contribution_analytics/data_collector.rb'
    - 'ee/lib/gitlab/ingestion/bulk_updatable_task.rb'
    - 'ee/lib/gitlab/insights/loader.rb'
    - 'ee/lib/gitlab/web_ide/config/entry/schema.rb'
    - 'ee/lib/slack/block_kit/app_home_opened.rb'
    - 'ee/spec/controllers/admin/clusters_controller_spec.rb'
    - 'ee/spec/controllers/ee/admin/sessions_controller_spec.rb'
    - 'ee/spec/controllers/ee/groups_controller_spec.rb'
    - 'ee/spec/controllers/ee/projects/variables_controller_spec.rb'
    - 'ee/spec/controllers/groups/clusters_controller_spec.rb'
    - 'ee/spec/controllers/groups/security/policies_controller_spec.rb'
    - 'ee/spec/controllers/groups/todos_controller_spec.rb'
    - 'ee/spec/controllers/projects/iterations_controller_spec.rb'
    - 'ee/spec/controllers/projects/legacy_pipelines_controller_spec.rb'
    - 'ee/spec/controllers/projects/merge_requests/creations_controller_spec.rb'
    - 'ee/spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'ee/spec/controllers/projects/protected_environments_controller_spec.rb'
    - 'ee/spec/controllers/projects/security/sast_configuration_controller_spec.rb'
    - 'ee/spec/controllers/projects/security/scanned_resources_controller_spec.rb'
    - 'ee/spec/controllers/projects/settings/merge_requests_controller_spec.rb'
    - 'ee/spec/controllers/projects_controller_spec.rb'
    - 'ee/spec/controllers/subscriptions_controller_spec.rb'
    - 'ee/spec/factories/epic_tree_nodes.rb'
    - 'ee/spec/factories/groups.rb'
    - 'ee/spec/factories/namespaces.rb'
    - 'ee/spec/factories/users.rb'
    - 'ee/spec/features/account_recovery_regular_check_spec.rb'
    - 'ee/spec/features/billings/billing_plans_spec.rb'
    - 'ee/spec/features/groups/contribution_analytics_spec.rb'
    - 'ee/spec/features/issues/filtered_search/filter_issues_by_health_spec.rb'
    - 'ee/spec/features/merge_request/user_approves_spec.rb'
    - 'ee/spec/features/merge_request/user_merges_immediately_spec.rb'
    - 'ee/spec/features/merge_request/user_sees_approval_widget_spec.rb'
    - 'ee/spec/features/merge_request/user_sees_merge_widget_spec.rb'
    - 'ee/spec/features/merge_request/user_sees_mr_approvals_promo_spec.rb'
    - 'ee/spec/features/merge_trains/two_merge_requests_on_train_spec.rb'
    - 'ee/spec/features/merge_trains/user_adds_merge_request_to_merge_train_spec.rb'
    - 'ee/spec/features/merge_trains/user_adds_to_merge_train_when_pipeline_succeeds_spec.rb'
    - 'ee/spec/features/projects/environments/environments_spec.rb'
    - 'ee/spec/features/projects/merge_requests/user_edits_merge_request_spec.rb'
    - 'ee/spec/features/projects/pipelines/legacy_pipeline_spec.rb'
    - 'ee/spec/features/projects/pipelines/pipeline_spec.rb'
    - 'ee/spec/features/registrations/saas/standard_flow_company_creating_project_spec.rb'
    - 'ee/spec/finders/security/pipeline_vulnerabilities_finder_spec.rb'
    - 'ee/spec/finders/security/training_urls_finder_spec.rb'
    - 'ee/spec/frontend/fixtures/oncall_schedule.rb'
    - 'ee/spec/frontend/fixtures/search.rb'
    - 'ee/spec/graphql/ee/types/clusters/agent_type_spec.rb'
    - 'ee/spec/graphql/mutations/requirements_management/export_requirements_spec.rb'
    - 'ee/spec/helpers/ee/environments_helper_spec.rb'
    - 'ee/spec/helpers/ee/namespace_user_cap_reached_alert_helper_spec.rb'
    - 'ee/spec/helpers/ee/users/callouts_helper_spec.rb'
    - 'ee/spec/helpers/projects_helper_spec.rb'
    - 'ee/spec/helpers/trial_status_widget_helper_spec.rb'
    - 'ee/spec/lib/audit/protected_branches_changes_auditor_spec.rb'
    - 'ee/spec/lib/banzai/filter/cross_project_issuable_information_filter_spec.rb'
    - 'ee/spec/lib/ee/api/entities/analytics/group_activity_spec.rb'
    - 'ee/spec/lib/ee/gitlab/background_migration/backfill_project_statistics_container_repository_size_spec.rb'
    - 'ee/spec/lib/ee/gitlab/checks/push_rules/commit_check_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/status/build/manual_spec.rb'
    - 'ee/spec/lib/ee/gitlab/database/gitlab_schema_spec.rb'
    - 'ee/spec/lib/ee/gitlab/usage_data_spec.rb'
    - 'ee/spec/lib/gitlab/ci/minutes/cost_factor_spec.rb'
    - 'ee/spec/lib/gitlab/ci/minutes/gitlab_contribution_cost_factor_spec.rb'
    - 'ee/spec/lib/gitlab/ci/parsers/security/validators/default_branch_image_validator_spec.rb'
    - 'ee/spec/lib/gitlab/ci/pipeline/chain/limit/size_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/container_scanning_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/dependency_scanning_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/license_scanning_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/sast_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/ci/templates/secret_detection_latest_gitlab_ci_yaml_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/lib/gitlab/graphql/aggregations/security_orchestration_policies/lazy_dast_profile_aggregate_spec.rb'
    - 'ee/spec/lib/gitlab/usage/metrics/instrumentations/count_user_merge_requests_for_projects_with_applied_scan_result_policies_metric_spec.rb'
    - 'ee/spec/lib/incident_management/oncall_shift_generator_spec.rb'
    - 'ee/spec/lib/slack/block_kit/app_home_opened_spec.rb'
    - 'ee/spec/models/approval_wrapped_code_owner_rule_spec.rb'
    - 'ee/spec/models/ci/minutes/limit_spec.rb'
    - 'ee/spec/models/ci/minutes/namespace_monthly_usage_spec.rb'
    - 'ee/spec/models/ci/minutes/project_monthly_usage_spec.rb'
    - 'ee/spec/models/ee/audit_event_spec.rb'
    - 'ee/spec/models/ee/ci/build_dependencies_spec.rb'
    - 'ee/spec/models/ee/ci/runner_spec.rb'
    - 'ee/spec/models/ee/event_spec.rb'
    - 'ee/spec/models/ee/namespace_spec.rb'
    - 'ee/spec/models/ee/service_desk_setting_spec.rb'
    - 'ee/spec/models/integrations/github/status_message_spec.rb'
    - 'ee/spec/models/integrations/github_spec.rb'
    - 'ee/spec/models/ldap_group_link_spec.rb'
    - 'ee/spec/models/merge_request_spec.rb'
    - 'ee/spec/models/merge_train_spec.rb'
    - 'ee/spec/models/project_spec.rb'
    - 'ee/spec/models/protected_environments/approval_rule_spec.rb'
    - 'ee/spec/models/protected_environments/deploy_access_level_spec.rb'
    - 'ee/spec/models/security/orchestration_policy_configuration_spec.rb'
    - 'ee/spec/models/vulnerabilities/read_spec.rb'
    - 'ee/spec/policies/merge_request_policy_spec.rb'
    - 'ee/spec/requests/api/ci/runner/jobs_put_spec.rb'
    - 'ee/spec/requests/api/ci/runner/jobs_trace_spec.rb'
    - 'ee/spec/requests/api/graphql/boards/epic_board_list_epics_query_spec.rb'
    - 'ee/spec/requests/api/graphql/boards/epic_boards_query_spec.rb'
    - 'ee/spec/requests/api/graphql/boards/epic_lists_query_spec.rb'
    - 'ee/spec/requests/api/graphql/ci/minutes/usage_spec.rb'
    - 'ee/spec/requests/api/graphql/group/dast_profile_schedule_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epic/epic_issues_spec.rb'
    - 'ee/spec/requests/api/graphql/group/epics_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/boards/epic_boards/epic_move_list_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/epics/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/epics/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/iterations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/requirements_management/create_requirement_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/requirements_management/update_requirement_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/assign_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/create_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security_policy/unassign_security_policy_project_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/vulnerabilities/create_external_issue_link_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/vulnerabilities/destroy_external_issue_link_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/vulnerabilities/finding_dismiss_spec.rb'
    - 'ee/spec/requests/api/graphql/namespace/projects_spec.rb'
    - 'ee/spec/requests/api/graphql/project/branch_rules/approval_project_rules_spec.rb'
    - 'ee/spec/requests/api/graphql/project/deployment_spec.rb'
    - 'ee/spec/requests/api/graphql/project/environments_spec.rb'
    - 'ee/spec/requests/api/graphql/project/issues_spec.rb'
    - 'ee/spec/requests/api/graphql/project/pipeline/security_report_finding_spec.rb'
    - 'ee/spec/requests/api/graphql/project/pipeline/security_report_summary_spec.rb'
    - 'ee/spec/requests/api/graphql/project/requirements_management/test_reports_spec.rb'
    - 'ee/spec/requests/api/graphql/project/security_orchestration/scan_result_policy_spec.rb'
    - 'ee/spec/requests/api/group_hooks_spec.rb'
    - 'ee/spec/requests/api/groups_spec.rb'
    - 'ee/spec/requests/api/internal/base_spec.rb'
    - 'ee/spec/requests/api/invitations_spec.rb'
    - 'ee/spec/requests/api/issues_spec.rb'
    - 'ee/spec/requests/api/managed_licenses_spec.rb'
    - 'ee/spec/requests/api/project_push_rule_spec.rb'
    - 'ee/spec/requests/api/protected_environments_spec.rb'
    - 'ee/spec/requests/api/provider_identity_spec.rb'
    - 'ee/spec/requests/api/settings_spec.rb'
    - 'ee/spec/requests/groups/protected_environments_controller_spec.rb'
    - 'ee/spec/requests/groups_controller_spec.rb'
    - 'ee/spec/requests/projects/requirements_management/requirements_controller_spec.rb'
    - 'ee/spec/serializers/protected_environments/deploy_access_level_entity_spec.rb'
    - 'ee/spec/serializers/vulnerabilities/finding_entity_spec.rb'
    - 'ee/spec/services/approval_rules/update_service_spec.rb'
    - 'ee/spec/services/audit_events/export_csv_service_spec.rb'
    - 'ee/spec/services/auto_merge/add_to_merge_train_when_pipeline_succeeds_service_spec.rb'
    - 'ee/spec/services/auto_merge/merge_train_service_spec.rb'
    - 'ee/spec/services/auto_merge/merge_when_pipeline_succeeds_service_spec.rb'
    - 'ee/spec/services/ci/create_pipeline_service/cross_needs_artifacts_spec.rb'
    - 'ee/spec/services/ci/external_pull_requests/process_github_event_service_spec.rb'
    - 'ee/spec/services/ci/minutes/batch_reset_service_spec.rb'
    - 'ee/spec/services/ci/minutes/update_build_minutes_service_spec.rb'
    - 'ee/spec/services/ci/pipeline_creation/drop_not_runnable_builds_service_spec.rb'
    - 'ee/spec/services/ci/subscribe_bridge_service_spec.rb'
    - 'ee/spec/services/ee/merge_requests/create_pipeline_service_spec.rb'
    - 'ee/spec/services/ee/merge_requests/refresh_service_spec.rb'
    - 'ee/spec/services/ee/protected_branches/create_service_spec.rb'
    - 'ee/spec/services/epics/update_service_spec.rb'
    - 'ee/spec/services/geo/file_registry_removal_service_spec.rb'
    - 'ee/spec/services/geo/repository_verification_primary_service_spec.rb'
    - 'ee/spec/services/incident_management/issuable_resource_links/create_service_spec.rb'
    - 'ee/spec/services/incident_management/issuable_resource_links/destroy_service_spec.rb'
    - 'ee/spec/services/issuable/discussions_list_service_spec.rb'
    - 'ee/spec/services/merge_request_approval_settings/update_service_spec.rb'
    - 'ee/spec/services/merge_requests/reset_approvals_service_spec.rb'
    - 'ee/spec/services/merge_trains/check_status_service_spec.rb'
    - 'ee/spec/services/merge_trains/create_pipeline_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_merge_request_service_spec.rb'
    - 'ee/spec/services/merge_trains/refresh_service_spec.rb'
    - 'ee/spec/services/projects/mark_for_deletion_service_spec.rb'
    - 'ee/spec/services/projects/restore_service_spec.rb'
    - 'ee/spec/services/security/findings/dismiss_service_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/ingest_vulnerabilities/mark_resolved_as_detected_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/ingest_vulnerabilities_spec.rb'
    - 'ee/spec/services/security/merge_reports_service_spec.rb'
    - 'ee/spec/services/security/orchestration/unassign_service_spec.rb'
    - 'ee/spec/services/security/report_summary_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/rule_schedule_service_spec.rb'
    - 'ee/spec/services/security/security_orchestration_policies/sync_scan_result_policies_service_spec.rb'
    - 'ee/spec/services/todo_service_spec.rb'
    - 'ee/spec/services/users/abuse/git_abuse/namespace_throttle_service_spec.rb'
    - 'ee/spec/services/users/email_verification/send_custom_confirmation_instructions_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/findings/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/security_finding/create_issue_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/starboard_vulnerability_resolve_service_spec.rb'
    - 'ee/spec/support/helpers/ee/geo_helpers.rb'
    - 'ee/spec/support/shared_examples/features/credentials_inventory_shared_examples.rb'
    - 'ee/spec/support/shared_examples/features/password_complexity_shared_examples.rb'
    - 'ee/spec/views/groups/feature_discovery_moments/advanced_features_dashboard.html.haml_spec.rb'
    - 'ee/spec/views/groups/settings/reporting/show.html.haml_spec.rb'
    - 'ee/spec/views/layouts/_search.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/resource_access_tokens/_resource_access_token.html.haml_spec.rb'
    - 'ee/spec/workers/adjourned_group_deletion_worker_spec.rb'
    - 'ee/spec/workers/analytics/cycle_analytics/consistency_worker_spec.rb'
    - 'ee/spec/workers/ci/batch_reset_minutes_worker_spec.rb'
    - 'ee/spec/workers/concerns/update_orchestration_policy_configuration_spec.rb'
    - 'ee/spec/workers/geo/repository_verification/primary/shard_worker_spec.rb'
    - 'ee/spec/workers/namespaces/sync_namespace_name_worker_spec.rb'
    - 'lib/api/admin/batched_background_migrations.rb'
    - 'lib/api/admin/ci/variables.rb'
    - 'lib/api/alert_management_alerts.rb'
    - 'lib/api/ci/runners.rb'
    - 'lib/api/commits.rb'
    - 'lib/api/concerns/packages/npm_endpoints.rb'
    - 'lib/api/deploy_keys.rb'
    - 'lib/api/deployments.rb'
    - 'lib/api/entities/ci/job.rb'
    - 'lib/api/entities/ci/job_artifact.rb'
    - 'lib/api/entities/ci/pipeline.rb'
    - 'lib/api/entities/ci/pipeline_schedule_details.rb'
    - 'lib/api/entities/ci/runner.rb'
    - 'lib/api/entities/ci/secure_file.rb'
    - 'lib/api/entities/compare.rb'
    - 'lib/api/entities/deploy_key.rb'
    - 'lib/api/entities/diff_position.rb'
    - 'lib/api/entities/event.rb'
    - 'lib/api/entities/group_detail.rb'
    - 'lib/api/entities/internal/pages/lookup_path.rb'
    - 'lib/api/entities/merge_request_diff.rb'
    - 'lib/api/entities/merge_request_simple.rb'
    - 'lib/api/entities/pages_domain.rb'
    - 'lib/api/entities/pages_domain_basic.rb'
    - 'lib/api/entities/protected_ref_access.rb'
    - 'lib/api/entities/pull_mirror.rb'
    - 'lib/api/entities/release.rb'
    - 'lib/api/environments.rb'
    - 'lib/api/error_tracking/project_settings.rb'
    - 'lib/api/feature_flags.rb'
    - 'lib/api/feature_flags_user_lists.rb'
    - 'lib/api/features.rb'
    - 'lib/api/freeze_periods.rb'
    - 'lib/api/helm_packages.rb'
    - 'lib/api/helpers/internal_helpers.rb'
    - 'lib/api/internal/pages.rb'
    - 'lib/api/issues.rb'
    - 'lib/api/merge_requests.rb'
    - 'lib/api/project_container_repositories.rb'
    - 'lib/api/project_import.rb'
    - 'lib/api/protected_branches.rb'
    - 'lib/api/release/links.rb'
    - 'lib/api/releases.rb'
    - 'lib/api/remote_mirrors.rb'
    - 'lib/api/repositories.rb'
    - 'lib/api/search.rb'
    - 'lib/api/submodules.rb'
    - 'lib/api/tags.rb'
    - 'lib/api/unleash.rb'
    - 'lib/api/users.rb'
    - 'lib/api/wikis.rb'
    - 'lib/banzai/filter/commit_trailers_filter.rb'
    - 'lib/banzai/filter/references/commit_range_reference_filter.rb'
    - 'lib/banzai/filter/references/merge_request_reference_filter.rb'
    - 'lib/banzai/filter/references/snippet_reference_filter.rb'
    - 'lib/banzai/pipeline.rb'
    - 'lib/banzai/reference_parser/base_parser.rb'
    - 'lib/bulk_imports/common/pipelines/badges_pipeline.rb'
    - 'lib/feature.rb'
    - 'lib/gem_extensions/active_record/disable_joins/associations/association_scope.rb'
    - 'lib/generators/gitlab/usage_metric_definition_generator.rb'
    - 'lib/gitlab/background_migration/backfill_ci_queuing_tables.rb'
    - 'lib/gitlab/background_migration/backfill_integrations_enable_ssl_verification.rb'
    - 'lib/gitlab/background_migration/backfill_project_repositories.rb'
    - 'lib/gitlab/background_migration/batching_strategies/base_strategy.rb'
    - 'lib/gitlab/background_migration/batching_strategies/primary_key_batching_strategy.rb'
    - 'lib/gitlab/background_migration/legacy_upload_mover.rb'
    - 'lib/gitlab/background_migration/remove_occurrence_pipelines_and_duplicate_vulnerabilities_findings.rb'
    - 'lib/gitlab/ci/config/entry/artifacts.rb'
    - 'lib/gitlab/ci/config/entry/bridge.rb'
    - 'lib/gitlab/ci/config/entry/cache.rb'
    - 'lib/gitlab/ci/config/entry/default.rb'
    - 'lib/gitlab/ci/config/entry/environment.rb'
    - 'lib/gitlab/ci/config/entry/hooks.rb'
    - 'lib/gitlab/ci/config/entry/imageable.rb'
    - 'lib/gitlab/ci/config/entry/include.rb'
    - 'lib/gitlab/ci/config/entry/inherit.rb'
    - 'lib/gitlab/ci/config/entry/job.rb'
    - 'lib/gitlab/ci/config/entry/key.rb'
    - 'lib/gitlab/ci/config/entry/need.rb'
    - 'lib/gitlab/ci/config/entry/processable.rb'
    - 'lib/gitlab/ci/config/entry/product/parallel.rb'
    - 'lib/gitlab/ci/config/entry/root.rb'
    - 'lib/gitlab/ci/config/entry/rules/rule.rb'
    - 'lib/gitlab/ci/config/entry/service.rb'
    - 'lib/gitlab/ci/config/entry/trigger.rb'
    - 'lib/gitlab/ci/config/entry/workflow.rb'
    - 'lib/gitlab/ci/pipeline/chain/config/process.rb'
    - 'lib/gitlab/ci/trace.rb'
    - 'lib/gitlab/config/loader/yaml.rb'
    - 'lib/gitlab/conflict/file.rb'
    - 'lib/gitlab/data_builder/pipeline.rb'
    - 'lib/gitlab/database/background_migration/batched_job.rb'
    - 'lib/gitlab/database/background_migration/batched_migration.rb'
    - 'lib/gitlab/database/load_balancing/resolver.rb'
    - 'lib/gitlab/database/partitioning/replace_table.rb'
    - 'lib/gitlab/database/partitioning_migration_helpers/table_management_helpers.rb'
    - 'lib/gitlab/database/query_analyzers/restrict_allowed_schemas.rb'
    - 'lib/gitlab/database_importers/instance_administrators/create_group.rb'
    - 'lib/gitlab/database_importers/self_monitoring/project/create_service.rb'
    - 'lib/gitlab/database_importers/self_monitoring/project/delete_service.rb'
    - 'lib/gitlab/diff/file.rb'
    - 'lib/gitlab/diff/file_collection/base.rb'
    - 'lib/gitlab/diff/suggestion.rb'
    - 'lib/gitlab/error_tracking/error.rb'
    - 'lib/gitlab/event_store.rb'
    - 'lib/gitlab/git/repository.rb'
    - 'lib/gitlab/gitaly_client/operation_service.rb'
    - 'lib/gitlab/gitaly_client/remote_service.rb'
    - 'lib/gitlab/github_import/importer/pull_request_importer.rb'
    - 'lib/gitlab/github_import/representation/diff_note.rb'
    - 'lib/gitlab/gpg.rb'
    - 'lib/gitlab/graphs/commits.rb'
    - 'lib/gitlab/kubernetes/kube_client.rb'
    - 'lib/gitlab/legacy_github_import/client.rb'
    - 'lib/gitlab/metrics/methods.rb'
    - 'lib/gitlab/middleware/read_only/controller.rb'
    - 'lib/gitlab/net_http_adapter.rb'
    - 'lib/gitlab/octokit/middleware.rb'
    - 'lib/gitlab/phabricator_import/cache/map.rb'
    - 'lib/gitlab/quick_actions/command_definition.rb'
    - 'lib/gitlab/redis/multi_store.rb'
    - 'lib/gitlab/search/abuse_detection.rb'
    - 'lib/gitlab/sidekiq_daemon/memory_killer.rb'
    - 'lib/gitlab/spamcheck/client.rb'
    - 'lib/gitlab/url_builder.rb'
    - 'lib/gitlab/utils/delegator_override/validator.rb'
    - 'lib/gitlab/web_ide/config.rb'
    - 'lib/gitlab/web_ide/config/entry/global.rb'
    - 'lib/gitlab/web_ide/config/entry/terminal.rb'
    - 'lib/mattermost/command.rb'
    - 'lib/safe_zip/extract.rb'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/gitlab/update_templates.rake'
    - 'qa/qa/ee/resource/license.rb'
    - 'qa/qa/ee/resource/vulnerability_item.rb'
    - 'qa/qa/page/component/groups_filter.rb'
    - 'qa/qa/resource/members.rb'
    - 'qa/qa/resource/personal_access_token.rb'
    - 'qa/qa/resource/user.rb'
    - 'qa/qa/scenario/shared_attributes.rb'
    - 'qa/qa/specs/features/api/1_manage/user_inherited_access_spec.rb'
    - 'qa/qa/specs/features/api/3_create/repository/storage_size_spec.rb'
    - 'qa/qa/specs/features/api/8_monitor/metrics_spec.rb'
    - 'qa/qa/specs/features/browser_ui/2_plan/issue/mentions_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/pages/new_static_page_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/project_wiki/project_based_content_creation_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/project_wiki/project_based_content_manipulation_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/project_wiki/project_based_directory_management_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/project_wiki/project_based_file_upload_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/project_wiki/project_based_list_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/project_wiki/project_based_page_deletion_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/license_detection_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/push_http_private_token_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/push_over_http_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/repository/push_over_ssh_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/source_editor/source_editor_toolbar_spec.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/web_ide/open_fork_in_web_ide_spec.rb'
    - 'qa/qa/specs/features/browser_ui/4_verify/ci_variable/prefill_variables_spec.rb'
    - 'qa/qa/specs/features/browser_ui/4_verify/ci_variable/raw_variables_defined_in_yaml_spec.rb'
    - 'qa/qa/specs/features/browser_ui/4_verify/pipeline/pipeline_with_image_pull_policy_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/maven/maven_project_level_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/nuget/nuget_project_level_spec.rb'
    - 'qa/qa/specs/features/browser_ui/5_package/package_registry/rubygems_registry_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/10_govern/fix_vulnerability_workflow_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/10_govern/policies_list_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/10_govern/scan_result_policy_vulnerabilities_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/10_govern/vulnerabilities_jira_integration_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/11_fulfillment/license/cloud_activation_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/11_fulfillment/utilization/free_namespace_storage_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/12_systems/geo/rename_replication_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/14_model_ops/suggested_reviewer_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/group_wiki/delete_group_wiki_page_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/group_wiki/file_upload_group_wiki_page_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/repository/file_locking_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/3_create/repository/pull_mirroring_over_ssh_with_key_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/4_verify/job_trace_archival_spec.rb'
    - 'qa/qa/tools/delete_test_snippets.rb'
    - 'qa/qa/tools/delete_user_projects.rb'
    - 'qa/qa/tools/generate_perf_testdata.rb'
    - 'qa/qa/tools/revoke_user_personal_access_tokens.rb'
    - 'qa/spec/git/repository_spec.rb'
    - 'qa/spec/runtime/env_spec.rb'
    - 'scripts/changed-feature-flags'
    - 'sidekiq_cluster/cli.rb'
    - 'spec/bin/feature_flag_spec.rb'
    - 'spec/controllers/admin/ci/variables_controller_spec.rb'
    - 'spec/controllers/admin/clusters_controller_spec.rb'
    - 'spec/controllers/concerns/redis_tracking_spec.rb'
    - 'spec/controllers/concerns/renders_commits_spec.rb'
    - 'spec/controllers/graphql_controller_spec.rb'
    - 'spec/controllers/groups/clusters_controller_spec.rb'
    - 'spec/controllers/groups/milestones_controller_spec.rb'
    - 'spec/controllers/groups/variables_controller_spec.rb'
    - 'spec/controllers/groups_controller_spec.rb'
    - 'spec/controllers/profiles_controller_spec.rb'
    - 'spec/controllers/projects/artifacts_controller_spec.rb'
    - 'spec/controllers/projects/branches_controller_spec.rb'
    - 'spec/controllers/projects/clusters_controller_spec.rb'
    - 'spec/controllers/projects/commit_controller_spec.rb'
    - 'spec/controllers/projects/design_management/designs/raw_images_controller_spec.rb'
    - 'spec/controllers/projects/environments_controller_spec.rb'
    - 'spec/controllers/projects/feature_flags_clients_controller_spec.rb'
    - 'spec/controllers/projects/forks_controller_spec.rb'
    - 'spec/controllers/projects/grafana_api_controller_spec.rb'
    - 'spec/controllers/projects/issues_controller_spec.rb'
    - 'spec/controllers/projects/jobs_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/creations_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests_controller_spec.rb'
    - 'spec/controllers/projects/pipeline_schedules_controller_spec.rb'
    - 'spec/controllers/projects/pipelines/tests_controller_spec.rb'
    - 'spec/controllers/projects/pipelines_controller_spec.rb'
    - 'spec/controllers/projects/service_desk_controller_spec.rb'
    - 'spec/controllers/projects/settings/ci_cd_controller_spec.rb'
    - 'spec/controllers/projects/settings/operations_controller_spec.rb'
    - 'spec/controllers/projects/tags_controller_spec.rb'
    - 'spec/controllers/projects/todos_controller_spec.rb'
    - 'spec/controllers/projects/variables_controller_spec.rb'
    - 'spec/controllers/projects_controller_spec.rb'
    - 'spec/factories/ci/pipelines.rb'
    - 'spec/factories/clusters/clusters.rb'
    - 'spec/factories/draft_note.rb'
    - 'spec/factories/integrations.rb'
    - 'spec/factories/merge_requests.rb'
    - 'spec/factories/notes.rb'
    - 'spec/features/admin/integrations/user_activates_mattermost_slash_command_spec.rb'
    - 'spec/features/broadcast_messages_spec.rb'
    - 'spec/features/clusters/cluster_health_dashboard_spec.rb'
    - 'spec/features/dashboard/merge_requests_spec.rb'
    - 'spec/features/help_dropdown_spec.rb'
    - 'spec/features/issuables/issuable_list_spec.rb'
    - 'spec/features/issues/filtered_search/filter_issues_spec.rb'
    - 'spec/features/merge_request/user_creates_mr_spec.rb'
    - 'spec/features/merge_request/user_merges_only_if_pipeline_succeeds_spec.rb'
    - 'spec/features/merge_request/user_merges_when_pipeline_succeeds_spec.rb'
    - 'spec/features/merge_request/user_resolves_outdated_diff_discussions_spec.rb'
    - 'spec/features/merge_request/user_sees_avatar_on_diff_notes_spec.rb'
    - 'spec/features/merge_request/user_sees_discussions_spec.rb'
    - 'spec/features/merge_request/user_sees_merge_request_pipelines_spec.rb'
    - 'spec/features/merge_request/user_sees_merge_widget_spec.rb'
    - 'spec/features/merge_request/user_sees_pipelines_spec.rb'
    - 'spec/features/merge_request/user_sees_versions_spec.rb'
    - 'spec/features/merge_requests/user_lists_merge_requests_spec.rb'
    - 'spec/features/merge_requests/user_views_open_merge_requests_spec.rb'
    - 'spec/features/nav/top_nav_tooltip_spec.rb'
    - 'spec/features/profiles/user_changes_notified_of_own_activity_spec.rb'
    - 'spec/features/projects/branches_spec.rb'
    - 'spec/features/projects/commit/mini_pipeline_graph_spec.rb'
    - 'spec/features/projects/environments/environment_spec.rb'
    - 'spec/features/projects/environments/environments_spec.rb'
    - 'spec/features/projects/feature_flags/user_updates_feature_flag_spec.rb'
    - 'spec/features/projects/files/editing_a_file_spec.rb'
    - 'spec/features/projects/files/project_owner_creates_license_file_spec.rb'
    - 'spec/features/projects/files/project_owner_sees_link_to_create_license_file_in_empty_project_spec.rb'
    - 'spec/features/projects/files/user_browses_a_tree_with_a_folder_containing_only_a_folder_spec.rb'
    - 'spec/features/projects/files/user_reads_pipeline_status_spec.rb'
    - 'spec/features/projects/issues/viewing_issues_with_external_authorization_enabled_spec.rb'
    - 'spec/features/projects/jobs_spec.rb'
    - 'spec/features/projects/pipelines/legacy_pipeline_spec.rb'
    - 'spec/features/projects/pipelines/legacy_pipelines_spec.rb'
    - 'spec/features/projects/pipelines/pipeline_spec.rb'
    - 'spec/features/projects/pipelines/pipelines_spec.rb'
    - 'spec/features/tags/developer_deletes_tag_spec.rb'
    - 'spec/finders/ci/commit_statuses_finder_spec.rb'
    - 'spec/finders/ci/pipelines_for_merge_request_finder_spec.rb'
    - 'spec/finders/clusters/knative_services_finder_spec.rb'
    - 'spec/finders/clusters/kubernetes_namespace_finder_spec.rb'
    - 'spec/finders/group_descendants_finder_spec.rb'
    - 'spec/finders/incident_management/timeline_event_tags_finder_spec.rb'
    - 'spec/finders/keys_finder_spec.rb'
    - 'spec/finders/merge_requests_finder_spec.rb'
    - 'spec/finders/personal_access_tokens_finder_spec.rb'
    - 'spec/frontend/fixtures/issues.rb'
    - 'spec/frontend/fixtures/merge_requests.rb'
    - 'spec/frontend/fixtures/merge_requests_diffs.rb'
    - 'spec/frontend/fixtures/projects_json.rb'
    - 'spec/frontend/fixtures/search.rb'
    - 'spec/graphql/mutations/ci/job_token_scope/remove_project_spec.rb'
    - 'spec/graphql/mutations/customer_relations/contacts/create_spec.rb'
    - 'spec/graphql/mutations/customer_relations/organizations/create_spec.rb'
    - 'spec/graphql/mutations/dependency_proxy/group_settings/update_spec.rb'
    - 'spec/graphql/mutations/dependency_proxy/image_ttl_group_policy/update_spec.rb'
    - 'spec/graphql/mutations/incident_management/timeline_event/create_spec.rb'
    - 'spec/graphql/mutations/namespace/package_settings/update_spec.rb'
    - 'spec/graphql/resolvers/environments/last_deployment_resolver_spec.rb'
    - 'spec/graphql/resolvers/incident_management/timeline_event_tags_resolver_spec.rb'
    - 'spec/graphql/types/project_statistics_type_spec.rb'
    - 'spec/graphql/types/project_type_spec.rb'
    - 'spec/graphql/types/root_storage_statistics_type_spec.rb'
    - 'spec/helpers/notes_helper_spec.rb'
    - 'spec/helpers/todos_helper_spec.rb'
    - 'spec/initializers/00_rails_disable_joins_spec.rb'
    - 'spec/initializers/net_http_response_patch_spec.rb'
    - 'spec/initializers/secret_token_spec.rb'
    - 'spec/lib/atlassian/jira_connect/serializers/feature_flag_entity_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/banzai/filter/syntax_highlight_filter_spec.rb'
    - 'spec/lib/banzai/pipeline/wiki_pipeline_spec.rb'
    - 'spec/lib/banzai/pipeline_spec.rb'
    - 'spec/lib/banzai/reference_redactor_spec.rb'
    - 'spec/lib/constraints/group_url_constrainer_spec.rb'
    - 'spec/lib/constraints/project_url_constrainer_spec.rb'
    - 'spec/lib/constraints/user_url_constrainer_spec.rb'
    - 'spec/lib/feature/definition_spec.rb'
    - 'spec/lib/feature_spec.rb'
    - 'spec/lib/gitlab/alert_management/payload/managed_prometheus_spec.rb'
    - 'spec/lib/gitlab/api_authentication/builder_spec.rb'
    - 'spec/lib/gitlab/application_rate_limiter/increment_per_actioned_resource_spec.rb'
    - 'spec/lib/gitlab/asciidoc_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_draft_status_on_merge_requests_with_corrected_regex_spec.rb'
    - 'spec/lib/gitlab/background_migration/backfill_imported_issue_search_data_spec.rb'
    - 'spec/lib/gitlab/background_migration/batched_migration_job_spec.rb'
    - 'spec/lib/gitlab/background_migration/disable_legacy_open_source_license_for_inactive_public_projects_spec.rb'
    - 'spec/lib/gitlab/background_migration/legacy_upload_mover_spec.rb'
    - 'spec/lib/gitlab/background_migration/reset_too_many_tags_skipped_registry_imports_spec.rb'
    - 'spec/lib/gitlab/cache/ci/project_pipeline_status_spec.rb'
    - 'spec/lib/gitlab/checks/matching_merge_request_spec.rb'
    - 'spec/lib/gitlab/ci/build/artifacts/metadata_spec.rb'
    - 'spec/lib/gitlab/ci/build/policy/variables_spec.rb'
    - 'spec/lib/gitlab/ci/build/rules/rule_spec.rb'
    - 'spec/lib/gitlab/ci/build/rules_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/job_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/processable_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/file/artifact_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/security/common_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/test/junit_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/assign_partition_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/command_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/remove_unwanted_chat_jobs_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/validate/abilities_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/quota/deployments_spec.rb'
    - 'spec/lib/gitlab/ci/status/bridge/common_spec.rb'
    - 'spec/lib/gitlab/ci/status/build/factory_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder/group_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder/project_spec.rb'
    - 'spec/lib/gitlab/ci/variables/builder_spec.rb'
    - 'spec/lib/gitlab/cleanup/personal_access_tokens_spec.rb'
    - 'spec/lib/gitlab/config/entry/composable_hash_spec.rb'
    - 'spec/lib/gitlab/config/entry/configurable_spec.rb'
    - 'spec/lib/gitlab/current_settings_spec.rb'
    - 'spec/lib/gitlab/data_builder/note_spec.rb'
    - 'spec/lib/gitlab/data_builder/pipeline_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_migration_runner_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_migration_spec.rb'
    - 'spec/lib/gitlab/database/background_migration/batched_migration_wrapper_spec.rb'
    - 'spec/lib/gitlab/database/batch_count_spec.rb'
    - 'spec/lib/gitlab/database/each_database_spec.rb'
    - 'spec/lib/gitlab/database/gitlab_schema_spec.rb'
    - 'spec/lib/gitlab/database/loose_foreign_keys_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/restrict_gitlab_schema_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/background_migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/batched_background_migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/partitioning/monthly_strategy_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/backfill_partitioned_table_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/foreign_key_helpers_spec.rb'
    - 'spec/lib/gitlab/database/rename_reserved_paths_migration/v1/rename_base_spec.rb'
    - 'spec/lib/gitlab/database/rename_reserved_paths_migration/v1/rename_namespaces_spec.rb'
    - 'spec/lib/gitlab/email/message/repository_push_spec.rb'
    - 'spec/lib/gitlab/external_authorization/client_spec.rb'
    - 'spec/lib/gitlab/fogbugz_import/project_creator_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/git_access_spec.rb'
    - 'spec/lib/gitlab/github_import/importer/protected_branches_importer_spec.rb'
    - 'spec/lib/gitlab/gpg/invalid_gpg_signature_updater_spec.rb'
    - 'spec/lib/gitlab/grape_logging/loggers/exception_logger_spec.rb'
    - 'spec/lib/gitlab/grape_logging/loggers/queue_duration_logger_spec.rb'
    - 'spec/lib/gitlab/grape_logging/loggers/token_logger_spec.rb'
    - 'spec/lib/gitlab/graphql/deprecation_spec.rb'
    - 'spec/lib/gitlab/import_export/importer_spec.rb'
    - 'spec/lib/gitlab/import_export/json/streaming_serializer_spec.rb'
    - 'spec/lib/gitlab/import_export/project/exported_relations_merger_spec.rb'
    - 'spec/lib/gitlab/import_export/project/object_builder_spec.rb'
    - 'spec/lib/gitlab/import_export/project/relation_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_saver_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/importer_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/importers/prometheus_metrics_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/validator/post_schema_validator_spec.rb'
    - 'spec/lib/gitlab/metrics/dashboard/validator_spec.rb'
    - 'spec/lib/gitlab/metrics/requests_rack_middleware_spec.rb'
    - 'spec/lib/gitlab/pagination/keyset/column_order_definition_spec.rb'
    - 'spec/lib/gitlab/phabricator_import/conduit/response_spec.rb'
    - 'spec/lib/gitlab/redis/duplicate_jobs_spec.rb'
    - 'spec/lib/gitlab/redis/multi_store_spec.rb'
    - 'spec/lib/gitlab/redis/sidekiq_status_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/client_spec.rb'
    - 'spec/lib/gitlab/spamcheck/client_spec.rb'
    - 'spec/lib/gitlab/tracking_spec.rb'
    - 'spec/lib/gitlab/url_blocker_spec.rb'
    - 'spec/lib/gitlab/usage/metric_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/count_bulk_imports_entities_metric_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/count_imported_projects_metric_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/merge_request_widget_extension_metric_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/query_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/designs_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/snippet_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/wiki_page_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_queries_spec.rb'
    - 'spec/lib/gitlab/web_hooks/rate_limiter_spec.rb'
    - 'spec/lib/mattermost/session_spec.rb'
    - 'spec/lib/peek/views/detailed_view_spec.rb'
    - 'spec/lib/system_check/base_check_spec.rb'
    - 'spec/lib/system_check/incoming_email_check_spec.rb'
    - 'spec/mailers/emails/pipelines_spec.rb'
    - 'spec/mailers/notify_spec.rb'
    - 'spec/models/active_session_spec.rb'
    - 'spec/models/bulk_imports/export_status_spec.rb'
    - 'spec/models/ci/build_dependencies_spec.rb'
    - 'spec/models/ci/build_spec.rb'
    - 'spec/models/ci/build_trace_metadata_spec.rb'
    - 'spec/models/ci/commit_with_pipeline_spec.rb'
    - 'spec/models/ci/job_artifact_spec.rb'
    - 'spec/models/ci/job_token/project_scope_link_spec.rb'
    - 'spec/models/ci/pipeline_spec.rb'
    - 'spec/models/ci/processable_spec.rb'
    - 'spec/models/clusters/applications/knative_spec.rb'
    - 'spec/models/commit_spec.rb'
    - 'spec/models/commit_status_spec.rb'
    - 'spec/models/concerns/bulk_insert_safe_spec.rb'
    - 'spec/models/concerns/ci/partitionable/switch_spec.rb'
    - 'spec/models/concerns/deployment_platform_spec.rb'
    - 'spec/models/customer_relations/contact_spec.rb'
    - 'spec/models/deployment_spec.rb'
    - 'spec/models/design_management/design_spec.rb'
    - 'spec/models/diff_note_spec.rb'
    - 'spec/models/environment_spec.rb'
    - 'spec/models/external_pull_request_spec.rb'
    - 'spec/models/instance_configuration_spec.rb'
    - 'spec/models/integrations/every_integration_spec.rb'
    - 'spec/models/integrations/pipelines_email_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/milestone_spec.rb'
    - 'spec/models/note_spec.rb'
    - 'spec/models/personal_access_token_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/u2f_registration_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/presenters/blob_presenter_spec.rb'
    - 'spec/requests/admin/batched_jobs_controller_spec.rb'
    - 'spec/requests/api/admin/ci/variables_spec.rb'
    - 'spec/requests/api/alert_management_alerts_spec.rb'
    - 'spec/requests/api/badges_spec.rb'
    - 'spec/requests/api/broadcast_messages_spec.rb'
    - 'spec/requests/api/ci/job_artifacts_spec.rb'
    - 'spec/requests/api/ci/pipeline_schedules_spec.rb'
    - 'spec/requests/api/ci/pipelines_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_request_post_spec.rb'
    - 'spec/requests/api/ci/triggers_spec.rb'
    - 'spec/requests/api/ci/variables_spec.rb'
    - 'spec/requests/api/commit_statuses_spec.rb'
    - 'spec/requests/api/commits_spec.rb'
    - 'spec/requests/api/discussions_spec.rb'
    - 'spec/requests/api/feature_flags_spec.rb'
    - 'spec/requests/api/graphql/ci/group_variables_spec.rb'
    - 'spec/requests/api/graphql/ci/runner_spec.rb'
    - 'spec/requests/api/graphql/ci/runners_spec.rb'
    - 'spec/requests/api/graphql/group/dependency_proxy_manifests_spec.rb'
    - 'spec/requests/api/graphql/group/group_members_spec.rb'
    - 'spec/requests/api/graphql/group/milestones_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/add_spec.rb'
    - 'spec/requests/api/graphql/mutations/award_emojis/toggle_spec.rb'
    - 'spec/requests/api/graphql/mutations/ci/job_retry_spec.rb'
    - 'spec/requests/api/graphql/mutations/ci/job_token_scope/remove_project_spec.rb'
    - 'spec/requests/api/graphql/mutations/ci/project_ci_cd_settings_update_spec.rb'
    - 'spec/requests/api/graphql/mutations/commits/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/discussions/toggle_resolve_spec.rb'
    - 'spec/requests/api/graphql/mutations/incident_management/timeline_event/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/incident_management/timeline_event/update_spec.rb'
    - 'spec/requests/api/graphql/mutations/labels/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/merge_requests/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/metrics/dashboard/annotations/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/namespace/package_settings/update_spec.rb'
    - 'spec/requests/api/graphql/mutations/notes/create/note_spec.rb'
    - 'spec/requests/api/graphql/mutations/notes/update/note_spec.rb'
    - 'spec/requests/api/graphql/mutations/releases/update_spec.rb'
    - 'spec/requests/api/graphql/mutations/work_items/create_spec.rb'
    - 'spec/requests/api/graphql/mutations/work_items/update_spec.rb'
    - 'spec/requests/api/graphql/project/container_repositories_spec.rb'
    - 'spec/requests/api/graphql/project/incident_management/timeline_events_spec.rb'
    - 'spec/requests/api/graphql/project/issue/design_collection/version_spec.rb'
    - 'spec/requests/api/graphql/project/issue/design_collection/versions_spec.rb'
    - 'spec/requests/api/graphql/project/issues_spec.rb'
    - 'spec/requests/api/graphql/project/milestones_spec.rb'
    - 'spec/requests/api/graphql/project/project_members_spec.rb'
    - 'spec/requests/api/graphql/project/release_spec.rb'
    - 'spec/requests/api/graphql/project/releases_spec.rb'
    - 'spec/requests/api/graphql/project/terraform/states_spec.rb'
    - 'spec/requests/api/graphql/tasks/task_completion_status_spec.rb'
    - 'spec/requests/api/group_variables_spec.rb'
    - 'spec/requests/api/import_bitbucket_server_spec.rb'
    - 'spec/requests/api/internal/lfs_spec.rb'
    - 'spec/requests/api/invitations_spec.rb'
    - 'spec/requests/api/issues/get_group_issues_spec.rb'
    - 'spec/requests/api/issues/get_project_issues_spec.rb'
    - 'spec/requests/api/issues/post_projects_issues_spec.rb'
    - 'spec/requests/api/issues/put_projects_issues_spec.rb'
    - 'spec/requests/api/labels_spec.rb'
    - 'spec/requests/api/members_spec.rb'
    - 'spec/requests/api/merge_requests_spec.rb'
    - 'spec/requests/api/namespaces_spec.rb'
    - 'spec/requests/api/notes_spec.rb'
    - 'spec/requests/api/oauth_tokens_spec.rb'
    - 'spec/requests/api/personal_access_tokens_spec.rb'
    - 'spec/requests/api/project_export_spec.rb'
    - 'spec/requests/api/projects_spec.rb'
    - 'spec/requests/api/protected_tags_spec.rb'
    - 'spec/requests/api/releases_spec.rb'
    - 'spec/requests/api/settings_spec.rb'
    - 'spec/requests/api/suggestions_spec.rb'
    - 'spec/requests/api/unleash_spec.rb'
    - 'spec/requests/api/users_spec.rb'
    - 'spec/requests/git_http_spec.rb'
    - 'spec/requests/oauth_tokens_spec.rb'
    - 'spec/requests/openid_connect_spec.rb'
    - 'spec/requests/projects/environments_controller_spec.rb'
    - 'spec/requests/self_monitoring_project_spec.rb'
    - 'spec/routing/project_routing_spec.rb'
    - 'spec/rubocop/cop/rspec/be_success_matcher_spec.rb'
    - 'spec/serializers/feature_flag_entity_spec.rb'
    - 'spec/serializers/feature_flag_serializer_spec.rb'
    - 'spec/services/auto_merge/merge_when_pipeline_succeeds_service_spec.rb'
    - 'spec/services/award_emojis/destroy_service_spec.rb'
    - 'spec/services/bulk_update_integration_service_spec.rb'
    - 'spec/services/ci/archive_trace_service_spec.rb'
    - 'spec/services/ci/create_downstream_pipeline_service_spec.rb'
    - 'spec/services/ci/create_pipeline_service/custom_config_content_spec.rb'
    - 'spec/services/ci/create_pipeline_service/environment_spec.rb'
    - 'spec/services/ci/create_pipeline_service/partitioning_spec.rb'
    - 'spec/services/ci/create_pipeline_service/rate_limit_spec.rb'
    - 'spec/services/ci/create_pipeline_service_spec.rb'
    - 'spec/services/ci/job_artifacts/create_service_spec.rb'
    - 'spec/services/ci/job_artifacts/update_unknown_locked_status_service_spec.rb'
    - 'spec/services/ci/job_token_scope/remove_project_service_spec.rb'
    - 'spec/services/ci/pipeline_processing/atomic_processing_service_spec.rb'
    - 'spec/services/ci/register_job_service_spec.rb'
    - 'spec/services/ci/retry_job_service_spec.rb'
    - 'spec/services/ci/retry_pipeline_service_spec.rb'
    - 'spec/services/dependency_proxy/group_settings/update_service_spec.rb'
    - 'spec/services/dependency_proxy/image_ttl_group_policies/update_service_spec.rb'
    - 'spec/services/deployments/update_environment_service_spec.rb'
    - 'spec/services/discussions/capture_diff_note_positions_service_spec.rb'
    - 'spec/services/environments/create_for_build_service_spec.rb'
    - 'spec/services/environments/stop_service_spec.rb'
    - 'spec/services/files/delete_service_spec.rb'
    - 'spec/services/files/update_service_spec.rb'
    - 'spec/services/google_cloud/fetch_google_ip_list_service_spec.rb'
    - 'spec/services/incident_management/timeline_event_tags/create_service_spec.rb'
    - 'spec/services/incident_management/timeline_events/update_service_spec.rb'
    - 'spec/services/issues/relative_position_rebalancing_service_spec.rb'
    - 'spec/services/issues/resolve_discussions_spec.rb'
    - 'spec/services/jira_connect_subscriptions/create_service_spec.rb'
    - 'spec/services/merge_requests/build_service_spec.rb'
    - 'spec/services/merge_requests/create_pipeline_service_spec.rb'
    - 'spec/services/merge_requests/merge_service_spec.rb'
    - 'spec/services/merge_requests/post_merge_service_spec.rb'
    - 'spec/services/merge_requests/rebase_service_spec.rb'
    - 'spec/services/merge_requests/refresh_service_spec.rb'
    - 'spec/services/merge_requests/retarget_chain_service_spec.rb'
    - 'spec/services/merge_requests/squash_service_spec.rb'
    - 'spec/services/merge_requests/update_service_spec.rb'
    - 'spec/services/metrics/dashboard/clone_dashboard_service_spec.rb'
    - 'spec/services/namespaces/package_settings/update_service_spec.rb'
    - 'spec/services/notes/destroy_service_spec.rb'
    - 'spec/services/notification_service_spec.rb'
    - 'spec/services/packages/debian/extract_metadata_service_spec.rb'
    - 'spec/services/projects/destroy_service_spec.rb'
    - 'spec/services/projects/update_service_spec.rb'
    - 'spec/services/security/merge_reports_service_spec.rb'
    - 'spec/services/suggestions/apply_service_spec.rb'
    - 'spec/services/system_notes/design_management_service_spec.rb'
    - 'spec/services/todo_service_spec.rb'
    - 'spec/services/upload_service_spec.rb'
    - 'spec/services/work_items/task_list_reference_removal_service_spec.rb'
    - 'spec/sidekiq_cluster/sidekiq_cluster_spec.rb'
    - 'spec/support/database/prevent_cross_database_modification.rb'
    - 'spec/support/database/prevent_cross_joins.rb'
    - 'spec/support/helpers/cycle_analytics_helpers.rb'
    - 'spec/support/helpers/feature_flag_helpers.rb'
    - 'spec/support/helpers/project_forks_helper.rb'
    - 'spec/support/helpers/test_env.rb'
    - 'spec/support/shared_contexts/requests/api/graphql/jira_import/jira_projects_context.rb'
    - 'spec/support/shared_examples/ci/pipeline_email_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/concerns/integrations/integrations_actions_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/snippets_sort_order_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/wiki_actions_shared_examples.rb'
    - 'spec/support/shared_examples/features/search/redacted_search_results_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/mutations/boards_create_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/sorted_paginated_query_shared_examples.rb'
    - 'spec/support/shared_examples/harbor/artifacts_controller_shared_examples.rb'
    - 'spec/support/shared_examples/harbor/tags_controller_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/template/template_shared_examples.rb'
    - 'spec/support/shared_examples/models/active_record_enum_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/from_set_operator_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/integrations/slack_mattermost_notifier_shared_examples.rb'
    - 'spec/support/shared_examples/models/diff_note_after_commit_shared_examples.rb'
    - 'spec/support/shared_examples/models/member_shared_examples.rb'
    - 'spec/support/shared_examples/projects/container_repository/cleanup_tags_service_shared_examples.rb'
    - 'spec/support/shared_examples/quick_actions/merge_request/merge_quick_action_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/diff_discussions_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/discussions_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/graphql/group_and_project_boards_query_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/graphql/packages/group_and_project_packages_list_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/hooks_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/merge_requests_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/notes_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/resolvable_discussions_shared_examples.rb'
    - 'spec/support/shared_examples/requests/graphql_shared_examples.rb'
    - 'spec/support/shared_examples/requests/rack_attack_shared_examples.rb'
    - 'spec/support/shared_examples/services/boards/boards_recent_visit_shared_examples.rb'
    - 'spec/support/shared_examples/services/issuable/discussions_list_shared_examples.rb'
    - 'spec/support/shared_examples/workers/background_migration_worker_shared_examples.rb'
    - 'spec/support/trace/trace_helpers.rb'
    - 'spec/tasks/gitlab/sidekiq_rake_spec.rb'
    - 'spec/tooling/quality/test_level_spec.rb'
    - 'spec/uploaders/file_uploader_spec.rb'
    - 'spec/uploaders/object_storage/cdn/google_cdn_spec.rb'
    - 'spec/uploaders/object_storage/cdn/google_ip_cache_spec.rb'
    - 'spec/uploaders/packages/composer/cache_uploader_spec.rb'
    - 'spec/views/layouts/_search.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/_commits.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/edit.html.haml_spec.rb'
    - 'spec/views/projects/tags/index.html.haml_spec.rb'
    - 'spec/workers/ci/job_artifacts/track_artifact_report_worker_spec.rb'
    - 'spec/workers/database/batched_background_migration/ci_execution_worker_spec.rb'
    - 'spec/workers/database/batched_background_migration/main_execution_worker_spec.rb'
    - 'spec/workers/merge_requests/create_pipeline_worker_spec.rb'
    - 'spec/workers/pages/invalidate_domain_cache_worker_spec.rb'
    - 'spec/workers/pages_domain_ssl_renewal_cron_worker_spec.rb'
    - 'spec/workers/pipeline_notification_worker_spec.rb'
    - 'spec/workers/remove_unreferenced_lfs_objects_worker_spec.rb'
    - 'spec/workers/update_external_pull_requests_worker_spec.rb'
    - 'spec/workers/update_merge_requests_worker_spec.rb'
    - 'spec/workers/web_hook_worker_spec.rb'
